#include <dkconfig.h>
#include <stdio.h>
#if DK_HAVE_UNISTD_H
#include <unistd.h>
#endif
#if DK_HAVE_STDLIB_H
#include <stdlib.h>
#endif
#if DK_HAVE_PROCESS_H
#include <process.h>
#endif

static char *config_options[] = {
"#if !defined(DKCONFIG_INC)",
"#define DKCONFIG_INC 1",

"",
#if DK_CONFIG_H_INC
"/*\t\t\t\t\t+\tCONFIG_H_INC */",
"#if !defined(DK_CONFIG_H_INC)",
"#define DK_CONFIG_H_INC 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tCONFIG_H_INC */",
"#if defined(DK_CONFIG_H_INC)",
"#undef DK_CONFIG_H_INC",
"#endif",
"",
#endif

#if DK_HAVE_ISDIGIT
"/*\t\t\t\t\t+\tHAVE_ISDIGIT */",
"#if !defined(DK_HAVE_ISDIGIT)",
"#define DK_HAVE_ISDIGIT 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_ISDIGIT */",
"#if defined(DK_HAVE_ISDIGIT)",
"#undef DK_HAVE_ISDIGIT",
"#endif",
"",
#endif

#if DK_HAVE_LONG_LONG_INT
"/*\t\t\t\t\t+\tHAVE_LONG_LONG_INT */",
"#if !defined(DK_HAVE_LONG_LONG_INT)",
"#define DK_HAVE_LONG_LONG_INT 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_LONG_LONG_INT */",
"#if defined(DK_HAVE_LONG_LONG_INT)",
"#undef DK_HAVE_LONG_LONG_INT",
"#endif",
"",
#endif

#if DK_HAVE_NO_INODES
"/*\t\t\t\t\t+\tHAVE_NO_INODES */",
"#if !defined(DK_HAVE_NO_INODES)",
"#define DK_HAVE_NO_INODES 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_NO_INODES */",
"#if defined(DK_HAVE_NO_INODES)",
"#undef DK_HAVE_NO_INODES",
"#endif",
"",
#endif

#if DK_HAVE_CODEPAGES
"/*\t\t\t\t\t+\tHAVE_CODEPAGES */",
"#if !defined(DK_HAVE_CODEPAGES)",
"#define DK_HAVE_CODEPAGES 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_CODEPAGES */",
"#if defined(DK_HAVE_CODEPAGES)",
"#undef DK_HAVE_CODEPAGES",
"#endif",
"",
#endif

#if DK_HAVE_ALLDOTALL
"/*\t\t\t\t\t+\tHAVE_ALLDOTALL */",
"#if !defined(DK_HAVE_ALLDOTALL)",
"#define DK_HAVE_ALLDOTALL 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_ALLDOTALL */",
"#if defined(DK_HAVE_ALLDOTALL)",
"#undef DK_HAVE_ALLDOTALL",
"#endif",
"",
#endif

#if DK_HAVE_DOTFILENAMES
"/*\t\t\t\t\t+\tHAVE_DOTFILENAMES */",
"#if !defined(DK_HAVE_DOTFILENAMES)",
"#define DK_HAVE_DOTFILENAMES 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_DOTFILENAMES */",
"#if defined(DK_HAVE_DOTFILENAMES)",
"#undef DK_HAVE_DOTFILENAMES",
"#endif",
"",
#endif

#if DK_HAVE_POPEN
"/*\t\t\t\t\t+\tHAVE_POPEN */",
"#if !defined(DK_HAVE_POPEN)",
"#define DK_HAVE_POPEN 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_POPEN */",
"#if defined(DK_HAVE_POPEN)",
"#undef DK_HAVE_POPEN",
"#endif",
"",
#endif

#if DK_HAVE__POPEN
"/*\t\t\t\t\t+\tHAVE__POPEN */",
"#if !defined(DK_HAVE__POPEN)",
"#define DK_HAVE__POPEN 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE__POPEN */",
"#if defined(DK_HAVE__POPEN)",
"#undef DK_HAVE__POPEN",
"#endif",
"",
#endif

#if DK_HAVE_FEATURE_DOS_EXEC
"/*\t\t\t\t\t+\tHAVE_FEATURE_DOS_EXEC */",
"#if !defined(DK_HAVE_FEATURE_DOS_EXEC)",
"#define DK_HAVE_FEATURE_DOS_EXEC 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_FEATURE_DOS_EXEC */",
"#if defined(DK_HAVE_FEATURE_DOS_EXEC)",
"#undef DK_HAVE_FEATURE_DOS_EXEC",
"#endif",
"",
#endif

#if DK_HAVE_DOS_DRIVE_LETTER
"/*\t\t\t\t\t+\tHAVE_DOS_DRIVE_LETTER */",
"#if !defined(DK_HAVE_DOS_DRIVE_LETTER)",
"#define DK_HAVE_DOS_DRIVE_LETTER 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_DOS_DRIVE_LETTER */",
"#if defined(DK_HAVE_DOS_DRIVE_LETTER)",
"#undef DK_HAVE_DOS_DRIVE_LETTER",
"#endif",
"",
#endif

#if DK_HAVE_PROTOTYPES
"/*\t\t\t\t\t+\tHAVE_PROTOTYPES */",
"#if !defined(DK_HAVE_PROTOTYPES)",
"#define DK_HAVE_PROTOTYPES 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_PROTOTYPES */",
"#if defined(DK_HAVE_PROTOTYPES)",
"#undef DK_HAVE_PROTOTYPES",
"#endif",
"",
#endif

#if DK_HAVE_STRCASECMP
"/*\t\t\t\t\t+\tHAVE_STRCASECMP */",
"#if !defined(DK_HAVE_STRCASECMP)",
"#define DK_HAVE_STRCASECMP 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_STRCASECMP */",
"#if defined(DK_HAVE_STRCASECMP)",
"#undef DK_HAVE_STRCASECMP",
"#endif",
"",
#endif

#if DK_HAVE_STRICMP
"/*\t\t\t\t\t+\tHAVE_STRICMP */",
"#if !defined(DK_HAVE_STRICMP)",
"#define DK_HAVE_STRICMP 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_STRICMP */",
"#if defined(DK_HAVE_STRICMP)",
"#undef DK_HAVE_STRICMP",
"#endif",
"",
#endif

#if DK_HAVE_STRCHR
"/*\t\t\t\t\t+\tHAVE_STRCHR */",
"#if !defined(DK_HAVE_STRCHR)",
"#define DK_HAVE_STRCHR 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_STRCHR */",
"#if defined(DK_HAVE_STRCHR)",
"#undef DK_HAVE_STRCHR",
"#endif",
"",
#endif

#if DK_HAVE_STRRCHR
"/*\t\t\t\t\t+\tHAVE_STRRCHR */",
"#if !defined(DK_HAVE_STRRCHR)",
"#define DK_HAVE_STRRCHR 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_STRRCHR */",
"#if defined(DK_HAVE_STRRCHR)",
"#undef DK_HAVE_STRRCHR",
"#endif",
"",
#endif

#if DK_HAVE_STRDUP
"/*\t\t\t\t\t+\tHAVE_STRDUP */",
"#if !defined(DK_HAVE_STRDUP)",
"#define DK_HAVE_STRDUP 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_STRDUP */",
"#if defined(DK_HAVE_STRDUP)",
"#undef DK_HAVE_STRDUP",
"#endif",
"",
#endif

#if DK_HAVE_FARMALLOC
"/*\t\t\t\t\t+\tHAVE_FARMALLOC */",
"#if !defined(DK_HAVE_FARMALLOC)",
"#define DK_HAVE_FARMALLOC 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_FARMALLOC */",
"#if defined(DK_HAVE_FARMALLOC)",
"#undef DK_HAVE_FARMALLOC",
"#endif",
"",
#endif

#if DK_HAVE_FARFREE
"/*\t\t\t\t\t+\tHAVE_FARFREE */",
"#if !defined(DK_HAVE_FARFREE)",
"#define DK_HAVE_FARFREE 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_FARFREE */",
"#if defined(DK_HAVE_FARFREE)",
"#undef DK_HAVE_FARFREE",
"#endif",
"",
#endif

#if DK_HAVE_FARCORELEFT
"/*\t\t\t\t\t+\tHAVE_FARCORELEFT */",
"#if !defined(DK_HAVE_FARCORELEFT)",
"#define DK_HAVE_FARCORELEFT 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_FARCORELEFT */",
"#if defined(DK_HAVE_FARCORELEFT)",
"#undef DK_HAVE_FARCORELEFT",
"#endif",
"",
#endif

#if DK_HAVE_MALLOC
"/*\t\t\t\t\t+\tHAVE_MALLOC */",
"#if !defined(DK_HAVE_MALLOC)",
"#define DK_HAVE_MALLOC 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_MALLOC */",
"#if defined(DK_HAVE_MALLOC)",
"#undef DK_HAVE_MALLOC",
"#endif",
"",
#endif

#if DK_HAVE_FREE
"/*\t\t\t\t\t+\tHAVE_FREE */",
"#if !defined(DK_HAVE_FREE)",
"#define DK_HAVE_FREE 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_FREE */",
"#if defined(DK_HAVE_FREE)",
"#undef DK_HAVE_FREE",
"#endif",
"",
#endif

#if DK_HAVE_CORELEFT
"/*\t\t\t\t\t+\tHAVE_CORELEFT */",
"#if !defined(DK_HAVE_CORELEFT)",
"#define DK_HAVE_CORELEFT 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_CORELEFT */",
"#if defined(DK_HAVE_CORELEFT)",
"#undef DK_HAVE_CORELEFT",
"#endif",
"",
#endif

#if DK_HAVE_MEMSET
"/*\t\t\t\t\t+\tHAVE_MEMSET */",
"#if !defined(DK_HAVE_MEMSET)",
"#define DK_HAVE_MEMSET 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_MEMSET */",
"#if defined(DK_HAVE_MEMSET)",
"#undef DK_HAVE_MEMSET",
"#endif",
"",
#endif

#if DK_HAVE_BZERO
"/*\t\t\t\t\t+\tHAVE_BZERO */",
"#if !defined(DK_HAVE_BZERO)",
"#define DK_HAVE_BZERO 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_BZERO */",
"#if defined(DK_HAVE_BZERO)",
"#undef DK_HAVE_BZERO",
"#endif",
"",
#endif

#if DK_HAVE_MEMCMP
"/*\t\t\t\t\t+\tHAVE_MEMCMP */",
"#if !defined(DK_HAVE_MEMCMP)",
"#define DK_HAVE_MEMCMP 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_MEMCMP */",
"#if defined(DK_HAVE_MEMCMP)",
"#undef DK_HAVE_MEMCMP",
"#endif",
"",
#endif

#if DK_HAVE_BCMP
"/*\t\t\t\t\t+\tHAVE_BCMP */",
"#if !defined(DK_HAVE_BCMP)",
"#define DK_HAVE_BCMP 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_BCMP */",
"#if defined(DK_HAVE_BCMP)",
"#undef DK_HAVE_BCMP",
"#endif",
"",
#endif

#if DK_HAVE_MEMCPY
"/*\t\t\t\t\t+\tHAVE_MEMCPY */",
"#if !defined(DK_HAVE_MEMCPY)",
"#define DK_HAVE_MEMCPY 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_MEMCPY */",
"#if defined(DK_HAVE_MEMCPY)",
"#undef DK_HAVE_MEMCPY",
"#endif",
"",
#endif

#if DK_HAVE_BCOPY
"/*\t\t\t\t\t+\tHAVE_BCOPY */",
"#if !defined(DK_HAVE_BCOPY)",
"#define DK_HAVE_BCOPY 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_BCOPY */",
"#if defined(DK_HAVE_BCOPY)",
"#undef DK_HAVE_BCOPY",
"#endif",
"",
#endif

#if DK_HAVE_OPENDIR
"/*\t\t\t\t\t+\tHAVE_OPENDIR */",
"#if !defined(DK_HAVE_OPENDIR)",
"#define DK_HAVE_OPENDIR 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_OPENDIR */",
"#if defined(DK_HAVE_OPENDIR)",
"#undef DK_HAVE_OPENDIR",
"#endif",
"",
#endif

#if DK_HAVE_LSTAT
"/*\t\t\t\t\t+\tHAVE_LSTAT */",
"#if !defined(DK_HAVE_LSTAT)",
"#define DK_HAVE_LSTAT 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_LSTAT */",
"#if defined(DK_HAVE_LSTAT)",
"#undef DK_HAVE_LSTAT",
"#endif",
"",
#endif

#if DK_HAVE_LSTAT32
"/*\t\t\t\t\t+\tHAVE_LSTAT32 */",
"#if !defined(DK_HAVE_LSTAT32)",
"#define DK_HAVE_LSTAT32 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_LSTAT32 */",
"#if defined(DK_HAVE_LSTAT32)",
"#undef DK_HAVE_LSTAT32",
"#endif",
"",
#endif

#if DK_HAVE_LSTAT64
"/*\t\t\t\t\t+\tHAVE_LSTAT64 */",
"#if !defined(DK_HAVE_LSTAT64)",
"#define DK_HAVE_LSTAT64 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_LSTAT64 */",
"#if defined(DK_HAVE_LSTAT64)",
"#undef DK_HAVE_LSTAT64",
"#endif",
"",
#endif

#if DK_HAVE_LARGEFILE64_SOURCE
"/*\t\t\t\t\t+\tHAVE_LARGEFILE64_SOURCE */",
"#if !defined(DK_HAVE_LARGEFILE64_SOURCE)",
"#define DK_HAVE_LARGEFILE64_SOURCE 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_LARGEFILE64_SOURCE */",
"#if defined(DK_HAVE_LARGEFILE64_SOURCE)",
"#undef DK_HAVE_LARGEFILE64_SOURCE",
"#endif",
"",
#endif

#if DK_HAVE_GETCWD
"/*\t\t\t\t\t+\tHAVE_GETCWD */",
"#if !defined(DK_HAVE_GETCWD)",
"#define DK_HAVE_GETCWD 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_GETCWD */",
"#if defined(DK_HAVE_GETCWD)",
"#undef DK_HAVE_GETCWD",
"#endif",
"",
#endif

#if DK_HAVE_GETWD
"/*\t\t\t\t\t+\tHAVE_GETWD */",
"#if !defined(DK_HAVE_GETWD)",
"#define DK_HAVE_GETWD 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_GETWD */",
"#if defined(DK_HAVE_GETWD)",
"#undef DK_HAVE_GETWD",
"#endif",
"",
#endif

#if DK_HAVE_GETHOSTBYNAME
"/*\t\t\t\t\t+\tHAVE_GETHOSTBYNAME */",
"#if !defined(DK_HAVE_GETHOSTBYNAME)",
"#define DK_HAVE_GETHOSTBYNAME 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_GETHOSTBYNAME */",
"#if defined(DK_HAVE_GETHOSTBYNAME)",
"#undef DK_HAVE_GETHOSTBYNAME",
"#endif",
"",
#endif

#if DK_HAVE_GETHOSTNAME
"/*\t\t\t\t\t+\tHAVE_GETHOSTNAME */",
"#if !defined(DK_HAVE_GETHOSTNAME)",
"#define DK_HAVE_GETHOSTNAME 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_GETHOSTNAME */",
"#if defined(DK_HAVE_GETHOSTNAME)",
"#undef DK_HAVE_GETHOSTNAME",
"#endif",
"",
#endif

#if DK_HAVE_GETUID
"/*\t\t\t\t\t+\tHAVE_GETUID */",
"#if !defined(DK_HAVE_GETUID)",
"#define DK_HAVE_GETUID 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_GETUID */",
"#if defined(DK_HAVE_GETUID)",
"#undef DK_HAVE_GETUID",
"#endif",
"",
#endif

#if DK_HAVE_GETEUID
"/*\t\t\t\t\t+\tHAVE_GETEUID */",
"#if !defined(DK_HAVE_GETEUID)",
"#define DK_HAVE_GETEUID 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_GETEUID */",
"#if defined(DK_HAVE_GETEUID)",
"#undef DK_HAVE_GETEUID",
"#endif",
"",
#endif

#if DK_HAVE_GETGID
"/*\t\t\t\t\t+\tHAVE_GETGID */",
"#if !defined(DK_HAVE_GETGID)",
"#define DK_HAVE_GETGID 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_GETGID */",
"#if defined(DK_HAVE_GETGID)",
"#undef DK_HAVE_GETGID",
"#endif",
"",
#endif

#if DK_HAVE_GETEGID
"/*\t\t\t\t\t+\tHAVE_GETEGID */",
"#if !defined(DK_HAVE_GETEGID)",
"#define DK_HAVE_GETEGID 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_GETEGID */",
"#if defined(DK_HAVE_GETEGID)",
"#undef DK_HAVE_GETEGID",
"#endif",
"",
#endif

#if DK_HAVE_GETSERVBYNAME
"/*\t\t\t\t\t+\tHAVE_GETSERVBYNAME */",
"#if !defined(DK_HAVE_GETSERVBYNAME)",
"#define DK_HAVE_GETSERVBYNAME 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_GETSERVBYNAME */",
"#if defined(DK_HAVE_GETSERVBYNAME)",
"#undef DK_HAVE_GETSERVBYNAME",
"#endif",
"",
#endif

#if DK_HAVE_GETADDRINFO
"/*\t\t\t\t\t+\tHAVE_GETADDRINFO */",
"#if !defined(DK_HAVE_GETADDRINFO)",
"#define DK_HAVE_GETADDRINFO 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_GETADDRINFO */",
"#if defined(DK_HAVE_GETADDRINFO)",
"#undef DK_HAVE_GETADDRINFO",
"#endif",
"",
#endif

#if DK_HAVE_GETNETPATH
"/*\t\t\t\t\t+\tHAVE_GETNETPATH */",
"#if !defined(DK_HAVE_GETNETPATH)",
"#define DK_HAVE_GETNETPATH 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_GETNETPATH */",
"#if defined(DK_HAVE_GETNETPATH)",
"#undef DK_HAVE_GETNETPATH",
"#endif",
"",
#endif

#if DK_HAVE_NETDIR_GETBYNAME
"/*\t\t\t\t\t+\tHAVE_NETDIR_GETBYNAME */",
"#if !defined(DK_HAVE_NETDIR_GETBYNAME)",
"#define DK_HAVE_NETDIR_GETBYNAME 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_NETDIR_GETBYNAME */",
"#if defined(DK_HAVE_NETDIR_GETBYNAME)",
"#undef DK_HAVE_NETDIR_GETBYNAME",
"#endif",
"",
#endif

#if DK_HAVE_FCNTL
"/*\t\t\t\t\t+\tHAVE_FCNTL */",
"#if !defined(DK_HAVE_FCNTL)",
"#define DK_HAVE_FCNTL 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_FCNTL */",
"#if defined(DK_HAVE_FCNTL)",
"#undef DK_HAVE_FCNTL",
"#endif",
"",
#endif

#if DK_HAVE_FCNTL_H
"/*\t\t\t\t\t+\tHAVE_FCNTL_H */",
"#if !defined(DK_HAVE_FCNTL_H)",
"#define DK_HAVE_FCNTL_H 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_FCNTL_H */",
"#if defined(DK_HAVE_FCNTL_H)",
"#undef DK_HAVE_FCNTL_H",
"#endif",
"",
#endif

#if DK_HAVE_IOCTL
"/*\t\t\t\t\t+\tHAVE_IOCTL */",
"#if !defined(DK_HAVE_IOCTL)",
"#define DK_HAVE_IOCTL 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_IOCTL */",
"#if defined(DK_HAVE_IOCTL)",
"#undef DK_HAVE_IOCTL",
"#endif",
"",
#endif

#if DK_HAVE_GETPID
"/*\t\t\t\t\t+\tHAVE_GETPID */",
"#if !defined(DK_HAVE_GETPID)",
"#define DK_HAVE_GETPID 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_GETPID */",
"#if defined(DK_HAVE_GETPID)",
"#undef DK_HAVE_GETPID",
"#endif",
"",
#endif

#if DK_HAVE_GETPGRP
"/*\t\t\t\t\t+\tHAVE_GETPGRP */",
"#if !defined(DK_HAVE_GETPGRP)",
"#define DK_HAVE_GETPGRP 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_GETPGRP */",
"#if defined(DK_HAVE_GETPGRP)",
"#undef DK_HAVE_GETPGRP",
"#endif",
"",
#endif

#if DK_HAVE_GETPPID
"/*\t\t\t\t\t+\tHAVE_GETPPID */",
"#if !defined(DK_HAVE_GETPPID)",
"#define DK_HAVE_GETPPID 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_GETPPID */",
"#if defined(DK_HAVE_GETPPID)",
"#undef DK_HAVE_GETPPID",
"#endif",
"",
#endif

#if DK_HAVE_GETPGID
"/*\t\t\t\t\t+\tHAVE_GETPGID */",
"#if !defined(DK_HAVE_GETPGID)",
"#define DK_HAVE_GETPGID 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_GETPGID */",
"#if defined(DK_HAVE_GETPGID)",
"#undef DK_HAVE_GETPGID",
"#endif",
"",
#endif

#if DK_HAVE_UNLINK
"/*\t\t\t\t\t+\tHAVE_UNLINK */",
"#if !defined(DK_HAVE_UNLINK)",
"#define DK_HAVE_UNLINK 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_UNLINK */",
"#if defined(DK_HAVE_UNLINK)",
"#undef DK_HAVE_UNLINK",
"#endif",
"",
#endif

#if DK_HAVE__UNLINK
"/*\t\t\t\t\t+\tHAVE__UNLINK */",
"#if !defined(DK_HAVE__UNLINK)",
"#define DK_HAVE__UNLINK 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE__UNLINK */",
"#if defined(DK_HAVE__UNLINK)",
"#undef DK_HAVE__UNLINK",
"#endif",
"",
#endif

#if DK_HAVE__STRICMP
"/*\t\t\t\t\t+\tHAVE__STRICMP */",
"#if !defined(DK_HAVE__STRICMP)",
"#define DK_HAVE__STRICMP 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE__STRICMP */",
"#if defined(DK_HAVE__STRICMP)",
"#undef DK_HAVE__STRICMP",
"#endif",
"",
#endif

#if DK_HAVE_RMDIR
"/*\t\t\t\t\t+\tHAVE_RMDIR */",
"#if !defined(DK_HAVE_RMDIR)",
"#define DK_HAVE_RMDIR 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_RMDIR */",
"#if defined(DK_HAVE_RMDIR)",
"#undef DK_HAVE_RMDIR",
"#endif",
"",
#endif

#if DK_HAVE__RMDIR
"/*\t\t\t\t\t+\tHAVE__RMDIR */",
"#if !defined(DK_HAVE__RMDIR)",
"#define DK_HAVE__RMDIR 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE__RMDIR */",
"#if defined(DK_HAVE__RMDIR)",
"#undef DK_HAVE__RMDIR",
"#endif",
"",
#endif

#if DK_HAVE_FILENO
"/*\t\t\t\t\t+\tHAVE_FILENO */",
"#if !defined(DK_HAVE_FILENO)",
"#define DK_HAVE_FILENO 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_FILENO */",
"#if defined(DK_HAVE_FILENO)",
"#undef DK_HAVE_FILENO",
"#endif",
"",
#endif

#if DK_HAVE_SETPWENT
"/*\t\t\t\t\t+\tHAVE_SETPWENT */",
"#if !defined(DK_HAVE_SETPWENT)",
"#define DK_HAVE_SETPWENT 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_SETPWENT */",
"#if defined(DK_HAVE_SETPWENT)",
"#undef DK_HAVE_SETPWENT",
"#endif",
"",
#endif

#if DK_HAVE_ENDPWENT
"/*\t\t\t\t\t+\tHAVE_ENDPWENT */",
"#if !defined(DK_HAVE_ENDPWENT)",
"#define DK_HAVE_ENDPWENT 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_ENDPWENT */",
"#if defined(DK_HAVE_ENDPWENT)",
"#undef DK_HAVE_ENDPWENT",
"#endif",
"",
#endif

#if DK_HAVE_GETPWENT
"/*\t\t\t\t\t+\tHAVE_GETPWENT */",
"#if !defined(DK_HAVE_GETPWENT)",
"#define DK_HAVE_GETPWENT 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_GETPWENT */",
"#if defined(DK_HAVE_GETPWENT)",
"#undef DK_HAVE_GETPWENT",
"#endif",
"",
#endif

#if DK_HAVE_GETSPENT
"/*\t\t\t\t\t+\tHAVE_GETSPENT */",
"#if !defined(DK_HAVE_GETSPENT)",
"#define DK_HAVE_GETSPENT 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_GETSPENT */",
"#if defined(DK_HAVE_GETSPENT)",
"#undef DK_HAVE_GETSPENT",
"#endif",
"",
#endif

#if DK_HAVE_GETSPNAM
"/*\t\t\t\t\t+\tHAVE_GETSPNAM */",
"#if !defined(DK_HAVE_GETSPNAM)",
"#define DK_HAVE_GETSPNAM 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_GETSPNAM */",
"#if defined(DK_HAVE_GETSPNAM)",
"#undef DK_HAVE_GETSPNAM",
"#endif",
"",
#endif

#if DK_HAVE_SETSPENT
"/*\t\t\t\t\t+\tHAVE_SETSPENT */",
"#if !defined(DK_HAVE_SETSPENT)",
"#define DK_HAVE_SETSPENT 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_SETSPENT */",
"#if defined(DK_HAVE_SETSPENT)",
"#undef DK_HAVE_SETSPENT",
"#endif",
"",
#endif

#if DK_HAVE_GETPWNAM
"/*\t\t\t\t\t+\tHAVE_GETPWNAM */",
"#if !defined(DK_HAVE_GETPWNAM)",
"#define DK_HAVE_GETPWNAM 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_GETPWNAM */",
"#if defined(DK_HAVE_GETPWNAM)",
"#undef DK_HAVE_GETPWNAM",
"#endif",
"",
#endif

#if DK_HAVE_GETPWUID
"/*\t\t\t\t\t+\tHAVE_GETPWUID */",
"#if !defined(DK_HAVE_GETPWUID)",
"#define DK_HAVE_GETPWUID 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_GETPWUID */",
"#if defined(DK_HAVE_GETPWUID)",
"#undef DK_HAVE_GETPWUID",
"#endif",
"",
#endif

#if DK_HAVE_SETGRENT
"/*\t\t\t\t\t+\tHAVE_SETGRENT */",
"#if !defined(DK_HAVE_SETGRENT)",
"#define DK_HAVE_SETGRENT 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_SETGRENT */",
"#if defined(DK_HAVE_SETGRENT)",
"#undef DK_HAVE_SETGRENT",
"#endif",
"",
#endif

#if DK_HAVE_ENDGRENT
"/*\t\t\t\t\t+\tHAVE_ENDGRENT */",
"#if !defined(DK_HAVE_ENDGRENT)",
"#define DK_HAVE_ENDGRENT 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_ENDGRENT */",
"#if defined(DK_HAVE_ENDGRENT)",
"#undef DK_HAVE_ENDGRENT",
"#endif",
"",
#endif

#if DK_HAVE_GETGRENT
"/*\t\t\t\t\t+\tHAVE_GETGRENT */",
"#if !defined(DK_HAVE_GETGRENT)",
"#define DK_HAVE_GETGRENT 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_GETGRENT */",
"#if defined(DK_HAVE_GETGRENT)",
"#undef DK_HAVE_GETGRENT",
"#endif",
"",
#endif

#if DK_HAVE_GETGRNAM
"/*\t\t\t\t\t+\tHAVE_GETGRNAM */",
"#if !defined(DK_HAVE_GETGRNAM)",
"#define DK_HAVE_GETGRNAM 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_GETGRNAM */",
"#if defined(DK_HAVE_GETGRNAM)",
"#undef DK_HAVE_GETGRNAM",
"#endif",
"",
#endif

#if DK_HAVE_GETGRGID
"/*\t\t\t\t\t+\tHAVE_GETGRGID */",
"#if !defined(DK_HAVE_GETGRGID)",
"#define DK_HAVE_GETGRGID 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_GETGRGID */",
"#if defined(DK_HAVE_GETGRGID)",
"#undef DK_HAVE_GETGRGID",
"#endif",
"",
#endif

#if DK_HAVE_SELECT
"/*\t\t\t\t\t+\tHAVE_SELECT */",
"#if !defined(DK_HAVE_SELECT)",
"#define DK_HAVE_SELECT 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_SELECT */",
"#if defined(DK_HAVE_SELECT)",
"#undef DK_HAVE_SELECT",
"#endif",
"",
#endif

#if DK_HAVE_POLL
"/*\t\t\t\t\t+\tHAVE_POLL */",
"#if !defined(DK_HAVE_POLL)",
"#define DK_HAVE_POLL 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_POLL */",
"#if defined(DK_HAVE_POLL)",
"#undef DK_HAVE_POLL",
"#endif",
"",
#endif

#if DK_HAVE_SOCKET
"/*\t\t\t\t\t+\tHAVE_SOCKET */",
"#if !defined(DK_HAVE_SOCKET)",
"#define DK_HAVE_SOCKET 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_SOCKET */",
"#if defined(DK_HAVE_SOCKET)",
"#undef DK_HAVE_SOCKET",
"#endif",
"",
#endif

#if DK_HAVE_SETSOCKOPT
"/*\t\t\t\t\t+\tHAVE_SETSOCKOPT */",
"#if !defined(DK_HAVE_SETSOCKOPT)",
"#define DK_HAVE_SETSOCKOPT 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_SETSOCKOPT */",
"#if defined(DK_HAVE_SETSOCKOPT)",
"#undef DK_HAVE_SETSOCKOPT",
"#endif",
"",
#endif

#if DK_HAVE_LIBNETSNMP
"/*\t\t\t\t\t+\tHAVE_LIBNETSNMP */",
"#if !defined(DK_HAVE_LIBNETSNMP)",
"#define DK_HAVE_LIBNETSNMP 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_LIBNETSNMP */",
"#if defined(DK_HAVE_LIBNETSNMP)",
"#undef DK_HAVE_LIBNETSNMP",
"#endif",
"",
#endif

#if DK_HAVE_NETSNMP_ENABLE_FILELOG
"/*\t\t\t\t\t+\tHAVE_NETSNMP_ENABLE_FILELOG */",
"#if !defined(DK_HAVE_NETSNMP_ENABLE_FILELOG)",
"#define DK_HAVE_NETSNMP_ENABLE_FILELOG 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_NETSNMP_ENABLE_FILELOG */",
"#if defined(DK_HAVE_NETSNMP_ENABLE_FILELOG)",
"#undef DK_HAVE_NETSNMP_ENABLE_FILELOG",
"#endif",
"",
#endif

#if DK_HAVE_SIGNAL
"/*\t\t\t\t\t+\tHAVE_SIGNAL */",
"#if !defined(DK_HAVE_SIGNAL)",
"#define DK_HAVE_SIGNAL 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_SIGNAL */",
"#if defined(DK_HAVE_SIGNAL)",
"#undef DK_HAVE_SIGNAL",
"#endif",
"",
#endif

#if DK_HAVE_SIGSET
"/*\t\t\t\t\t+\tHAVE_SIGSET */",
"#if !defined(DK_HAVE_SIGSET)",
"#define DK_HAVE_SIGSET 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_SIGSET */",
"#if defined(DK_HAVE_SIGSET)",
"#undef DK_HAVE_SIGSET",
"#endif",
"",
#endif

#if DK_HAVE_SIGACTION
"/*\t\t\t\t\t+\tHAVE_SIGACTION */",
"#if !defined(DK_HAVE_SIGACTION)",
"#define DK_HAVE_SIGACTION 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_SIGACTION */",
"#if defined(DK_HAVE_SIGACTION)",
"#undef DK_HAVE_SIGACTION",
"#endif",
"",
#endif

#if DK_HAVE_SYSLOG
"/*\t\t\t\t\t+\tHAVE_SYSLOG */",
"#if !defined(DK_HAVE_SYSLOG)",
"#define DK_HAVE_SYSLOG 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_SYSLOG */",
"#if defined(DK_HAVE_SYSLOG)",
"#undef DK_HAVE_SYSLOG",
"#endif",
"",
#endif

#if DK_HAVE_SETUID
"/*\t\t\t\t\t+\tHAVE_SETUID */",
"#if !defined(DK_HAVE_SETUID)",
"#define DK_HAVE_SETUID 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_SETUID */",
"#if defined(DK_HAVE_SETUID)",
"#undef DK_HAVE_SETUID",
"#endif",
"",
#endif

#if DK_HAVE_SETEUID
"/*\t\t\t\t\t+\tHAVE_SETEUID */",
"#if !defined(DK_HAVE_SETEUID)",
"#define DK_HAVE_SETEUID 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_SETEUID */",
"#if defined(DK_HAVE_SETEUID)",
"#undef DK_HAVE_SETEUID",
"#endif",
"",
#endif

#if DK_HAVE_YP_BIND
"/*\t\t\t\t\t+\tHAVE_YP_BIND */",
"#if !defined(DK_HAVE_YP_BIND)",
"#define DK_HAVE_YP_BIND 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_YP_BIND */",
"#if defined(DK_HAVE_YP_BIND)",
"#undef DK_HAVE_YP_BIND",
"#endif",
"",
#endif

#if DK_HAVE_RINT
"/*\t\t\t\t\t+\tHAVE_RINT */",
"#if !defined(DK_HAVE_RINT)",
"#define DK_HAVE_RINT 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_RINT */",
"#if defined(DK_HAVE_RINT)",
"#undef DK_HAVE_RINT",
"#endif",
"",
#endif

#if DK_HAVE_ATAN2
"/*\t\t\t\t\t+\tHAVE_ATAN2 */",
"#if !defined(DK_HAVE_ATAN2)",
"#define DK_HAVE_ATAN2 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_ATAN2 */",
"#if defined(DK_HAVE_ATAN2)",
"#undef DK_HAVE_ATAN2",
"#endif",
"",
#endif

#if DK_HAVE_STAT
"/*\t\t\t\t\t+\tHAVE_STAT */",
"#if !defined(DK_HAVE_STAT)",
"#define DK_HAVE_STAT 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_STAT */",
"#if defined(DK_HAVE_STAT)",
"#undef DK_HAVE_STAT",
"#endif",
"",
#endif

#if DK_HAVE_STAT32
"/*\t\t\t\t\t+\tHAVE_STAT32 */",
"#if !defined(DK_HAVE_STAT32)",
"#define DK_HAVE_STAT32 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_STAT32 */",
"#if defined(DK_HAVE_STAT32)",
"#undef DK_HAVE_STAT32",
"#endif",
"",
#endif

#if DK_HAVE_STAT64
"/*\t\t\t\t\t+\tHAVE_STAT64 */",
"#if !defined(DK_HAVE_STAT64)",
"#define DK_HAVE_STAT64 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_STAT64 */",
"#if defined(DK_HAVE_STAT64)",
"#undef DK_HAVE_STAT64",
"#endif",
"",
#endif

#if DK_HAVE_FOPEN64
"/*\t\t\t\t\t+\tHAVE_FOPEN64 */",
"#if !defined(DK_HAVE_FOPEN64)",
"#define DK_HAVE_FOPEN64 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_FOPEN64 */",
"#if defined(DK_HAVE_FOPEN64)",
"#undef DK_HAVE_FOPEN64",
"#endif",
"",
#endif

#if DK_HAVE_MKDIR
"/*\t\t\t\t\t+\tHAVE_MKDIR */",
"#if !defined(DK_HAVE_MKDIR)",
"#define DK_HAVE_MKDIR 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_MKDIR */",
"#if defined(DK_HAVE_MKDIR)",
"#undef DK_HAVE_MKDIR",
"#endif",
"",
#endif

#if DK_HAVE_MKDIR2
"/*\t\t\t\t\t+\tHAVE_MKDIR2 */",
"#if !defined(DK_HAVE_MKDIR2)",
"#define DK_HAVE_MKDIR2 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_MKDIR2 */",
"#if defined(DK_HAVE_MKDIR2)",
"#undef DK_HAVE_MKDIR2",
"#endif",
"",
#endif

#if DK_HAVE_REMOVE
"/*\t\t\t\t\t+\tHAVE_REMOVE */",
"#if !defined(DK_HAVE_REMOVE)",
"#define DK_HAVE_REMOVE 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_REMOVE */",
"#if defined(DK_HAVE_REMOVE)",
"#undef DK_HAVE_REMOVE",
"#endif",
"",
#endif

#if DK_HAVE_HTONL
"/*\t\t\t\t\t+\tHAVE_HTONL */",
"#if !defined(DK_HAVE_HTONL)",
"#define DK_HAVE_HTONL 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_HTONL */",
"#if defined(DK_HAVE_HTONL)",
"#undef DK_HAVE_HTONL",
"#endif",
"",
#endif

#if DK_HAVE_GETRLIMIT
"/*\t\t\t\t\t+\tHAVE_GETRLIMIT */",
"#if !defined(DK_HAVE_GETRLIMIT)",
"#define DK_HAVE_GETRLIMIT 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_GETRLIMIT */",
"#if defined(DK_HAVE_GETRLIMIT)",
"#undef DK_HAVE_GETRLIMIT",
"#endif",
"",
#endif

#if DK_HAVE_SETSID
"/*\t\t\t\t\t+\tHAVE_SETSID */",
"#if !defined(DK_HAVE_SETSID)",
"#define DK_HAVE_SETSID 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_SETSID */",
"#if defined(DK_HAVE_SETSID)",
"#undef DK_HAVE_SETSID",
"#endif",
"",
#endif

#if DK_HAVE_LOCKF
"/*\t\t\t\t\t+\tHAVE_LOCKF */",
"#if !defined(DK_HAVE_LOCKF)",
"#define DK_HAVE_LOCKF 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_LOCKF */",
"#if defined(DK_HAVE_LOCKF)",
"#undef DK_HAVE_LOCKF",
"#endif",
"",
#endif

#if DK_HAVE_FLOCK
"/*\t\t\t\t\t+\tHAVE_FLOCK */",
"#if !defined(DK_HAVE_FLOCK)",
"#define DK_HAVE_FLOCK 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_FLOCK */",
"#if defined(DK_HAVE_FLOCK)",
"#undef DK_HAVE_FLOCK",
"#endif",
"",
#endif

#if DK_HAVE_LOCK
"/*\t\t\t\t\t+\tHAVE_LOCK */",
"#if !defined(DK_HAVE_LOCK)",
"#define DK_HAVE_LOCK 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_LOCK */",
"#if defined(DK_HAVE_LOCK)",
"#undef DK_HAVE_LOCK",
"#endif",
"",
#endif

#if DK_HAVE_STDLIB_H
"/*\t\t\t\t\t+\tHAVE_STDLIB_H */",
"#if !defined(DK_HAVE_STDLIB_H)",
"#define DK_HAVE_STDLIB_H 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_STDLIB_H */",
"#if defined(DK_HAVE_STDLIB_H)",
"#undef DK_HAVE_STDLIB_H",
"#endif",
"",
#endif

#if DK_HAVE_SIGNAL_H
"/*\t\t\t\t\t+\tHAVE_SIGNAL_H */",
"#if !defined(DK_HAVE_SIGNAL_H)",
"#define DK_HAVE_SIGNAL_H 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_SIGNAL_H */",
"#if defined(DK_HAVE_SIGNAL_H)",
"#undef DK_HAVE_SIGNAL_H",
"#endif",
"",
#endif

#if DK_HAVE_IO_H
"/*\t\t\t\t\t+\tHAVE_IO_H */",
"#if !defined(DK_HAVE_IO_H)",
"#define DK_HAVE_IO_H 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_IO_H */",
"#if defined(DK_HAVE_IO_H)",
"#undef DK_HAVE_IO_H",
"#endif",
"",
#endif

#if DK_HAVE_STDDEF_H
"/*\t\t\t\t\t+\tHAVE_STDDEF_H */",
"#if !defined(DK_HAVE_STDDEF_H)",
"#define DK_HAVE_STDDEF_H 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_STDDEF_H */",
"#if defined(DK_HAVE_STDDEF_H)",
"#undef DK_HAVE_STDDEF_H",
"#endif",
"",
#endif

#if DK_HAVE_CTYPE_H
"/*\t\t\t\t\t+\tHAVE_CTYPE_H */",
"#if !defined(DK_HAVE_CTYPE_H)",
"#define DK_HAVE_CTYPE_H 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_CTYPE_H */",
"#if defined(DK_HAVE_CTYPE_H)",
"#undef DK_HAVE_CTYPE_H",
"#endif",
"",
#endif

#if DK_HAVE_STRING_H
"/*\t\t\t\t\t+\tHAVE_STRING_H */",
"#if !defined(DK_HAVE_STRING_H)",
"#define DK_HAVE_STRING_H 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_STRING_H */",
"#if defined(DK_HAVE_STRING_H)",
"#undef DK_HAVE_STRING_H",
"#endif",
"",
#endif

#if DK_HAVE_STRINGS_H
"/*\t\t\t\t\t+\tHAVE_STRINGS_H */",
"#if !defined(DK_HAVE_STRINGS_H)",
"#define DK_HAVE_STRINGS_H 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_STRINGS_H */",
"#if defined(DK_HAVE_STRINGS_H)",
"#undef DK_HAVE_STRINGS_H",
"#endif",
"",
#endif

#if DK_HAVE_UNISTD_H
"/*\t\t\t\t\t+\tHAVE_UNISTD_H */",
"#if !defined(DK_HAVE_UNISTD_H)",
"#define DK_HAVE_UNISTD_H 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_UNISTD_H */",
"#if defined(DK_HAVE_UNISTD_H)",
"#undef DK_HAVE_UNISTD_H",
"#endif",
"",
#endif

#if DK_HAVE_PROCESS_H
"/*\t\t\t\t\t+\tHAVE_PROCESS_H */",
"#if !defined(DK_HAVE_PROCESS_H)",
"#define DK_HAVE_PROCESS_H 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_PROCESS_H */",
"#if defined(DK_HAVE_PROCESS_H)",
"#undef DK_HAVE_PROCESS_H",
"#endif",
"",
#endif

#if DK_HAVE_FEATURE_DLL
"/*\t\t\t\t\t+\tHAVE_FEATURE_DLL */",
"#if !defined(DK_HAVE_FEATURE_DLL)",
"#define DK_HAVE_FEATURE_DLL 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_FEATURE_DLL */",
"#if defined(DK_HAVE_FEATURE_DLL)",
"#undef DK_HAVE_FEATURE_DLL",
"#endif",
"",
#endif

#if DK_USE_FEATURE_DLL
"/*\t\t\t\t\t+\tUSE_FEATURE_DLL */",
"#if !defined(DK_USE_FEATURE_DLL)",
"#define DK_USE_FEATURE_DLL 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tUSE_FEATURE_DLL */",
"#if defined(DK_USE_FEATURE_DLL)",
"#undef DK_USE_FEATURE_DLL",
"#endif",
"",
#endif

#if DK_HAVE_SYS_TYPES_H
"/*\t\t\t\t\t+\tHAVE_SYS_TYPES_H */",
"#if !defined(DK_HAVE_SYS_TYPES_H)",
"#define DK_HAVE_SYS_TYPES_H 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_SYS_TYPES_H */",
"#if defined(DK_HAVE_SYS_TYPES_H)",
"#undef DK_HAVE_SYS_TYPES_H",
"#endif",
"",
#endif

#if DK_HAVE_STROPTS_H
"/*\t\t\t\t\t+\tHAVE_STROPTS_H */",
"#if !defined(DK_HAVE_STROPTS_H)",
"#define DK_HAVE_STROPTS_H 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_STROPTS_H */",
"#if defined(DK_HAVE_STROPTS_H)",
"#undef DK_HAVE_STROPTS_H",
"#endif",
"",
#endif

#if DK_HAVE_ERRNO_H
"/*\t\t\t\t\t+\tHAVE_ERRNO_H */",
"#if !defined(DK_HAVE_ERRNO_H)",
"#define DK_HAVE_ERRNO_H 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_ERRNO_H */",
"#if defined(DK_HAVE_ERRNO_H)",
"#undef DK_HAVE_ERRNO_H",
"#endif",
"",
#endif

#if DK_HAVE_LIMITS_H
"/*\t\t\t\t\t+\tHAVE_LIMITS_H */",
"#if !defined(DK_HAVE_LIMITS_H)",
"#define DK_HAVE_LIMITS_H 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_LIMITS_H */",
"#if defined(DK_HAVE_LIMITS_H)",
"#undef DK_HAVE_LIMITS_H",
"#endif",
"",
#endif

#if DK_HAVE_SYS_PARAM_H
"/*\t\t\t\t\t+\tHAVE_SYS_PARAM_H */",
"#if !defined(DK_HAVE_SYS_PARAM_H)",
"#define DK_HAVE_SYS_PARAM_H 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_SYS_PARAM_H */",
"#if defined(DK_HAVE_SYS_PARAM_H)",
"#undef DK_HAVE_SYS_PARAM_H",
"#endif",
"",
#endif

#if DK_HAVE_SYS_TIME_H
"/*\t\t\t\t\t+\tHAVE_SYS_TIME_H */",
"#if !defined(DK_HAVE_SYS_TIME_H)",
"#define DK_HAVE_SYS_TIME_H 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_SYS_TIME_H */",
"#if defined(DK_HAVE_SYS_TIME_H)",
"#undef DK_HAVE_SYS_TIME_H",
"#endif",
"",
#endif

#if DK_HAVE_SYS_WAIT_H
"/*\t\t\t\t\t+\tHAVE_SYS_WAIT_H */",
"#if !defined(DK_HAVE_SYS_WAIT_H)",
"#define DK_HAVE_SYS_WAIT_H 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_SYS_WAIT_H */",
"#if defined(DK_HAVE_SYS_WAIT_H)",
"#undef DK_HAVE_SYS_WAIT_H",
"#endif",
"",
#endif

#if DK_HAVE_TIME_H
"/*\t\t\t\t\t+\tHAVE_TIME_H */",
"#if !defined(DK_HAVE_TIME_H)",
"#define DK_HAVE_TIME_H 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_TIME_H */",
"#if defined(DK_HAVE_TIME_H)",
"#undef DK_HAVE_TIME_H",
"#endif",
"",
#endif

#if DK_TIME_WITH_SYS_TIME
"/*\t\t\t\t\t+\tTIME_WITH_SYS_TIME */",
"#if !defined(DK_TIME_WITH_SYS_TIME)",
"#define DK_TIME_WITH_SYS_TIME 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tTIME_WITH_SYS_TIME */",
"#if defined(DK_TIME_WITH_SYS_TIME)",
"#undef DK_TIME_WITH_SYS_TIME",
"#endif",
"",
#endif

#if DK_HAVE_SYS_STAT_H
"/*\t\t\t\t\t+\tHAVE_SYS_STAT_H */",
"#if !defined(DK_HAVE_SYS_STAT_H)",
"#define DK_HAVE_SYS_STAT_H 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_SYS_STAT_H */",
"#if defined(DK_HAVE_SYS_STAT_H)",
"#undef DK_HAVE_SYS_STAT_H",
"#endif",
"",
#endif

#if DK_HAVE_SYS_STATVFS_H
"/*\t\t\t\t\t+\tHAVE_SYS_STATVFS_H */",
"#if !defined(DK_HAVE_SYS_STATVFS_H)",
"#define DK_HAVE_SYS_STATVFS_H 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_SYS_STATVFS_H */",
"#if defined(DK_HAVE_SYS_STATVFS_H)",
"#undef DK_HAVE_SYS_STATVFS_H",
"#endif",
"",
#endif

#if DK_HAVE_SYS_STROPTS_H
"/*\t\t\t\t\t+\tHAVE_SYS_STROPTS_H */",
"#if !defined(DK_HAVE_SYS_STROPTS_H)",
"#define DK_HAVE_SYS_STROPTS_H 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_SYS_STROPTS_H */",
"#if defined(DK_HAVE_SYS_STROPTS_H)",
"#undef DK_HAVE_SYS_STROPTS_H",
"#endif",
"",
#endif

#if DK_HAVE_SYS_FILE_H
"/*\t\t\t\t\t+\tHAVE_SYS_FILE_H */",
"#if !defined(DK_HAVE_SYS_FILE_H)",
"#define DK_HAVE_SYS_FILE_H 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_SYS_FILE_H */",
"#if defined(DK_HAVE_SYS_FILE_H)",
"#undef DK_HAVE_SYS_FILE_H",
"#endif",
"",
#endif

#if DK_HAVE_SYS_UIO_H
"/*\t\t\t\t\t+\tHAVE_SYS_UIO_H */",
"#if !defined(DK_HAVE_SYS_UIO_H)",
"#define DK_HAVE_SYS_UIO_H 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_SYS_UIO_H */",
"#if defined(DK_HAVE_SYS_UIO_H)",
"#undef DK_HAVE_SYS_UIO_H",
"#endif",
"",
#endif

#if DK_HAVE_SYS_UN_H
"/*\t\t\t\t\t+\tHAVE_SYS_UN_H */",
"#if !defined(DK_HAVE_SYS_UN_H)",
"#define DK_HAVE_SYS_UN_H 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_SYS_UN_H */",
"#if defined(DK_HAVE_SYS_UN_H)",
"#undef DK_HAVE_SYS_UN_H",
"#endif",
"",
#endif

#if DK_HAVE_SYS_SUNDDI_H
"/*\t\t\t\t\t+\tHAVE_SYS_SUNDDI_H */",
"#if !defined(DK_HAVE_SYS_SUNDDI_H)",
"#define DK_HAVE_SYS_SUNDDI_H 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_SYS_SUNDDI_H */",
"#if defined(DK_HAVE_SYS_SUNDDI_H)",
"#undef DK_HAVE_SYS_SUNDDI_H",
"#endif",
"",
#endif

#if DK_HAVE_SYS_RESOURCE_H
"/*\t\t\t\t\t+\tHAVE_SYS_RESOURCE_H */",
"#if !defined(DK_HAVE_SYS_RESOURCE_H)",
"#define DK_HAVE_SYS_RESOURCE_H 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_SYS_RESOURCE_H */",
"#if defined(DK_HAVE_SYS_RESOURCE_H)",
"#undef DK_HAVE_SYS_RESOURCE_H",
"#endif",
"",
#endif

#if DK_HAVE_BIOS_H
"/*\t\t\t\t\t+\tHAVE_BIOS_H */",
"#if !defined(DK_HAVE_BIOS_H)",
"#define DK_HAVE_BIOS_H 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_BIOS_H */",
"#if defined(DK_HAVE_BIOS_H)",
"#undef DK_HAVE_BIOS_H",
"#endif",
"",
#endif

#if DK_HAVE_DIR_H
"/*\t\t\t\t\t+\tHAVE_DIR_H */",
"#if !defined(DK_HAVE_DIR_H)",
"#define DK_HAVE_DIR_H 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_DIR_H */",
"#if defined(DK_HAVE_DIR_H)",
"#undef DK_HAVE_DIR_H",
"#endif",
"",
#endif

#if DK_HAVE_DIRENT_H
"/*\t\t\t\t\t+\tHAVE_DIRENT_H */",
"#if !defined(DK_HAVE_DIRENT_H)",
"#define DK_HAVE_DIRENT_H 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_DIRENT_H */",
"#if defined(DK_HAVE_DIRENT_H)",
"#undef DK_HAVE_DIRENT_H",
"#endif",
"",
#endif

#if DK_HAVE_DIRECT_H
"/*\t\t\t\t\t+\tHAVE_DIRECT_H */",
"#if !defined(DK_HAVE_DIRECT_H)",
"#define DK_HAVE_DIRECT_H 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_DIRECT_H */",
"#if defined(DK_HAVE_DIRECT_H)",
"#undef DK_HAVE_DIRECT_H",
"#endif",
"",
#endif

#if DK_HAVE_MALLOC_H
"/*\t\t\t\t\t+\tHAVE_MALLOC_H */",
"#if !defined(DK_HAVE_MALLOC_H)",
"#define DK_HAVE_MALLOC_H 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_MALLOC_H */",
"#if defined(DK_HAVE_MALLOC_H)",
"#undef DK_HAVE_MALLOC_H",
"#endif",
"",
#endif

#if DK_HAVE_ALLOC_H
"/*\t\t\t\t\t+\tHAVE_ALLOC_H */",
"#if !defined(DK_HAVE_ALLOC_H)",
"#define DK_HAVE_ALLOC_H 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_ALLOC_H */",
"#if defined(DK_HAVE_ALLOC_H)",
"#undef DK_HAVE_ALLOC_H",
"#endif",
"",
#endif

#if DK_HAVE_DOS_H
"/*\t\t\t\t\t+\tHAVE_DOS_H */",
"#if !defined(DK_HAVE_DOS_H)",
"#define DK_HAVE_DOS_H 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_DOS_H */",
"#if defined(DK_HAVE_DOS_H)",
"#undef DK_HAVE_DOS_H",
"#endif",
"",
#endif

#if DK_HAVE_SYSRES_H
"/*\t\t\t\t\t+\tHAVE_SYSRES_H */",
"#if !defined(DK_HAVE_SYSRES_H)",
"#define DK_HAVE_SYSRES_H 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_SYSRES_H */",
"#if defined(DK_HAVE_SYSRES_H)",
"#undef DK_HAVE_SYSRES_H",
"#endif",
"",
#endif

#if DK_HAVE_XTI_H
"/*\t\t\t\t\t+\tHAVE_XTI_H */",
"#if !defined(DK_HAVE_XTI_H)",
"#define DK_HAVE_XTI_H 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_XTI_H */",
"#if defined(DK_HAVE_XTI_H)",
"#undef DK_HAVE_XTI_H",
"#endif",
"",
#endif

#if DK_HAVE_TIUSER_H
"/*\t\t\t\t\t+\tHAVE_TIUSER_H */",
"#if !defined(DK_HAVE_TIUSER_H)",
"#define DK_HAVE_TIUSER_H 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_TIUSER_H */",
"#if defined(DK_HAVE_TIUSER_H)",
"#undef DK_HAVE_TIUSER_H",
"#endif",
"",
#endif

#if DK_HAVE_SYS_SOCKET_H
"/*\t\t\t\t\t+\tHAVE_SYS_SOCKET_H */",
"#if !defined(DK_HAVE_SYS_SOCKET_H)",
"#define DK_HAVE_SYS_SOCKET_H 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_SYS_SOCKET_H */",
"#if defined(DK_HAVE_SYS_SOCKET_H)",
"#undef DK_HAVE_SYS_SOCKET_H",
"#endif",
"",
#endif

#if DK_HAVE_WINDOWS_H
"/*\t\t\t\t\t+\tHAVE_WINDOWS_H */",
"#if !defined(DK_HAVE_WINDOWS_H)",
"#define DK_HAVE_WINDOWS_H 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_WINDOWS_H */",
"#if defined(DK_HAVE_WINDOWS_H)",
"#undef DK_HAVE_WINDOWS_H",
"#endif",
"",
#endif

#if DK_HAVE_WINBASE_H
"/*\t\t\t\t\t+\tHAVE_WINBASE_H */",
"#if !defined(DK_HAVE_WINBASE_H)",
"#define DK_HAVE_WINBASE_H 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_WINBASE_H */",
"#if defined(DK_HAVE_WINBASE_H)",
"#undef DK_HAVE_WINBASE_H",
"#endif",
"",
#endif

#if DK_HAVE_WINREG_H
"/*\t\t\t\t\t+\tHAVE_WINREG_H */",
"#if !defined(DK_HAVE_WINREG_H)",
"#define DK_HAVE_WINREG_H 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_WINREG_H */",
"#if defined(DK_HAVE_WINREG_H)",
"#undef DK_HAVE_WINREG_H",
"#endif",
"",
#endif

#if DK_HAVE_WINSOCK2_H
"/*\t\t\t\t\t+\tHAVE_WINSOCK2_H */",
"#if !defined(DK_HAVE_WINSOCK2_H)",
"#define DK_HAVE_WINSOCK2_H 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_WINSOCK2_H */",
"#if defined(DK_HAVE_WINSOCK2_H)",
"#undef DK_HAVE_WINSOCK2_H",
"#endif",
"",
#endif

#if DK_HAVE_WINCON_H
"/*\t\t\t\t\t+\tHAVE_WINCON_H */",
"#if !defined(DK_HAVE_WINCON_H)",
"#define DK_HAVE_WINCON_H 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_WINCON_H */",
"#if defined(DK_HAVE_WINCON_H)",
"#undef DK_HAVE_WINCON_H",
"#endif",
"",
#endif

#if DK_HAVE_NETINET_IN_H
"/*\t\t\t\t\t+\tHAVE_NETINET_IN_H */",
"#if !defined(DK_HAVE_NETINET_IN_H)",
"#define DK_HAVE_NETINET_IN_H 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_NETINET_IN_H */",
"#if defined(DK_HAVE_NETINET_IN_H)",
"#undef DK_HAVE_NETINET_IN_H",
"#endif",
"",
#endif

#if DK_HAVE_ARPA_INET_H
"/*\t\t\t\t\t+\tHAVE_ARPA_INET_H */",
"#if !defined(DK_HAVE_ARPA_INET_H)",
"#define DK_HAVE_ARPA_INET_H 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_ARPA_INET_H */",
"#if defined(DK_HAVE_ARPA_INET_H)",
"#undef DK_HAVE_ARPA_INET_H",
"#endif",
"",
#endif

#if DK_HAVE_NETDB_H
"/*\t\t\t\t\t+\tHAVE_NETDB_H */",
"#if !defined(DK_HAVE_NETDB_H)",
"#define DK_HAVE_NETDB_H 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_NETDB_H */",
"#if defined(DK_HAVE_NETDB_H)",
"#undef DK_HAVE_NETDB_H",
"#endif",
"",
#endif

#if DK_HAVE_RPCSVC_YP_PROT_H
"/*\t\t\t\t\t+\tHAVE_RPCSVC_YP_PROT_H */",
"#if !defined(DK_HAVE_RPCSVC_YP_PROT_H)",
"#define DK_HAVE_RPCSVC_YP_PROT_H 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_RPCSVC_YP_PROT_H */",
"#if defined(DK_HAVE_RPCSVC_YP_PROT_H)",
"#undef DK_HAVE_RPCSVC_YP_PROT_H",
"#endif",
"",
#endif

#if DK_HAVE_RPCSVC_YPCLNT_H
"/*\t\t\t\t\t+\tHAVE_RPCSVC_YPCLNT_H */",
"#if !defined(DK_HAVE_RPCSVC_YPCLNT_H)",
"#define DK_HAVE_RPCSVC_YPCLNT_H 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_RPCSVC_YPCLNT_H */",
"#if defined(DK_HAVE_RPCSVC_YPCLNT_H)",
"#undef DK_HAVE_RPCSVC_YPCLNT_H",
"#endif",
"",
#endif

#if DK_HAVE_GRP_H
"/*\t\t\t\t\t+\tHAVE_GRP_H */",
"#if !defined(DK_HAVE_GRP_H)",
"#define DK_HAVE_GRP_H 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_GRP_H */",
"#if defined(DK_HAVE_GRP_H)",
"#undef DK_HAVE_GRP_H",
"#endif",
"",
#endif

#if DK_HAVE_PWD_H
"/*\t\t\t\t\t+\tHAVE_PWD_H */",
"#if !defined(DK_HAVE_PWD_H)",
"#define DK_HAVE_PWD_H 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_PWD_H */",
"#if defined(DK_HAVE_PWD_H)",
"#undef DK_HAVE_PWD_H",
"#endif",
"",
#endif

#if DK_HAVE_VOLATILE
"/*\t\t\t\t\t+\tHAVE_VOLATILE */",
"#if !defined(DK_HAVE_VOLATILE)",
"#define DK_HAVE_VOLATILE 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_VOLATILE */",
"#if defined(DK_HAVE_VOLATILE)",
"#undef DK_HAVE_VOLATILE",
"#endif",
"",
#endif

#if DK_HAVE_CONST
"/*\t\t\t\t\t+\tHAVE_CONST */",
"#if !defined(DK_HAVE_CONST)",
"#define DK_HAVE_CONST 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_CONST */",
"#if defined(DK_HAVE_CONST)",
"#undef DK_HAVE_CONST",
"#endif",
"",
#endif

#if DK_HAVE_UNLINK
"/*\t\t\t\t\t+\tHAVE_UNLINK */",
"#if !defined(DK_HAVE_UNLINK)",
"#define DK_HAVE_UNLINK 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_UNLINK */",
"#if defined(DK_HAVE_UNLINK)",
"#undef DK_HAVE_UNLINK",
"#endif",
"",
#endif

#if DK_HAVE_FEATURE_DOS
"/*\t\t\t\t\t+\tHAVE_FEATURE_DOS */",
"#if !defined(DK_HAVE_FEATURE_DOS)",
"#define DK_HAVE_FEATURE_DOS 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_FEATURE_DOS */",
"#if defined(DK_HAVE_FEATURE_DOS)",
"#undef DK_HAVE_FEATURE_DOS",
"#endif",
"",
#endif

#if DK_HAVE_FEATURE_BACKSLASH
"/*\t\t\t\t\t+\tHAVE_FEATURE_BACKSLASH */",
"#if !defined(DK_HAVE_FEATURE_BACKSLASH)",
"#define DK_HAVE_FEATURE_BACKSLASH 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_FEATURE_BACKSLASH */",
"#if defined(DK_HAVE_FEATURE_BACKSLASH)",
"#undef DK_HAVE_FEATURE_BACKSLASH",
"#endif",
"",
#endif

#if DK_HAVE_FEATURE_ALLDOTALL
"/*\t\t\t\t\t+\tHAVE_FEATURE_ALLDOTALL */",
"#if !defined(DK_HAVE_FEATURE_ALLDOTALL)",
"#define DK_HAVE_FEATURE_ALLDOTALL 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_FEATURE_ALLDOTALL */",
"#if defined(DK_HAVE_FEATURE_ALLDOTALL)",
"#undef DK_HAVE_FEATURE_ALLDOTALL",
"#endif",
"",
#endif

#if DK_HAVE_FEATURE_DRIVECHAR
"/*\t\t\t\t\t+\tHAVE_FEATURE_DRIVECHAR */",
"#if !defined(DK_HAVE_FEATURE_DRIVECHAR)",
"#define DK_HAVE_FEATURE_DRIVECHAR 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_FEATURE_DRIVECHAR */",
"#if defined(DK_HAVE_FEATURE_DRIVECHAR)",
"#undef DK_HAVE_FEATURE_DRIVECHAR",
"#endif",
"",
#endif

#if DK_HAVE_FEATURE_FN83
"/*\t\t\t\t\t+\tHAVE_FEATURE_FN83 */",
"#if !defined(DK_HAVE_FEATURE_FN83)",
"#define DK_HAVE_FEATURE_FN83 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_FEATURE_FN83 */",
"#if defined(DK_HAVE_FEATURE_FN83)",
"#undef DK_HAVE_FEATURE_FN83",
"#endif",
"",
#endif

#if DK_HAVE_FINDFIRST
"/*\t\t\t\t\t+\tHAVE_FINDFIRST */",
"#if !defined(DK_HAVE_FINDFIRST)",
"#define DK_HAVE_FINDFIRST 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_FINDFIRST */",
"#if defined(DK_HAVE_FINDFIRST)",
"#undef DK_HAVE_FINDFIRST",
"#endif",
"",
#endif

#if DK_HAVE_FINDFIRST32
"/*\t\t\t\t\t+\tHAVE_FINDFIRST32 */",
"#if !defined(DK_HAVE_FINDFIRST32)",
"#define DK_HAVE_FINDFIRST32 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_FINDFIRST32 */",
"#if defined(DK_HAVE_FINDFIRST32)",
"#undef DK_HAVE_FINDFIRST32",
"#endif",
"",
#endif

#if DK_HAVE_FINDFIRST64
"/*\t\t\t\t\t+\tHAVE_FINDFIRST64 */",
"#if !defined(DK_HAVE_FINDFIRST64)",
"#define DK_HAVE_FINDFIRST64 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_FINDFIRST64 */",
"#if defined(DK_HAVE_FINDFIRST64)",
"#undef DK_HAVE_FINDFIRST64",
"#endif",
"",
#endif

#if DK_HAVE__FINDFIRST
"/*\t\t\t\t\t+\tHAVE__FINDFIRST */",
"#if !defined(DK_HAVE__FINDFIRST)",
"#define DK_HAVE__FINDFIRST 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE__FINDFIRST */",
"#if defined(DK_HAVE__FINDFIRST)",
"#undef DK_HAVE__FINDFIRST",
"#endif",
"",
#endif

#if DK_HAVE__FINDFIRST32
"/*\t\t\t\t\t+\tHAVE__FINDFIRST32 */",
"#if !defined(DK_HAVE__FINDFIRST32)",
"#define DK_HAVE__FINDFIRST32 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE__FINDFIRST32 */",
"#if defined(DK_HAVE__FINDFIRST32)",
"#undef DK_HAVE__FINDFIRST32",
"#endif",
"",
#endif

#if DK_HAVE__FINDFIRST64
"/*\t\t\t\t\t+\tHAVE__FINDFIRST64 */",
"#if !defined(DK_HAVE__FINDFIRST64)",
"#define DK_HAVE__FINDFIRST64 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE__FINDFIRST64 */",
"#if defined(DK_HAVE__FINDFIRST64)",
"#undef DK_HAVE__FINDFIRST64",
"#endif",
"",
#endif

#if DK_HAVE__GETCWD
"/*\t\t\t\t\t+\tHAVE__GETCWD */",
"#if !defined(DK_HAVE__GETCWD)",
"#define DK_HAVE__GETCWD 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE__GETCWD */",
"#if defined(DK_HAVE__GETCWD)",
"#undef DK_HAVE__GETCWD",
"#endif",
"",
#endif

#if DK_HAVE__OPEN
"/*\t\t\t\t\t+\tHAVE__OPEN */",
"#if !defined(DK_HAVE__OPEN)",
"#define DK_HAVE__OPEN 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE__OPEN */",
"#if defined(DK_HAVE__OPEN)",
"#undef DK_HAVE__OPEN",
"#endif",
"",
#endif

#if DK_HAVE__CLOSE
"/*\t\t\t\t\t+\tHAVE__CLOSE */",
"#if !defined(DK_HAVE__CLOSE)",
"#define DK_HAVE__CLOSE 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE__CLOSE */",
"#if defined(DK_HAVE__CLOSE)",
"#undef DK_HAVE__CLOSE",
"#endif",
"",
#endif

#if DK_HAVE_READ
"/*\t\t\t\t\t+\tHAVE_READ */",
"#if !defined(DK_HAVE_READ)",
"#define DK_HAVE_READ 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_READ */",
"#if defined(DK_HAVE_READ)",
"#undef DK_HAVE_READ",
"#endif",
"",
#endif

#if DK_HAVE_WRITE
"/*\t\t\t\t\t+\tHAVE_WRITE */",
"#if !defined(DK_HAVE_WRITE)",
"#define DK_HAVE_WRITE 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_WRITE */",
"#if defined(DK_HAVE_WRITE)",
"#undef DK_HAVE_WRITE",
"#endif",
"",
#endif

#if DK_HAVE__READ
"/*\t\t\t\t\t+\tHAVE__READ */",
"#if !defined(DK_HAVE__READ)",
"#define DK_HAVE__READ 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE__READ */",
"#if defined(DK_HAVE__READ)",
"#undef DK_HAVE__READ",
"#endif",
"",
#endif

#if DK_HAVE__WRITE
"/*\t\t\t\t\t+\tHAVE__WRITE */",
"#if !defined(DK_HAVE__WRITE)",
"#define DK_HAVE__WRITE 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE__WRITE */",
"#if defined(DK_HAVE__WRITE)",
"#undef DK_HAVE__WRITE",
"#endif",
"",
#endif

#if DK_HAVE__STAT
"/*\t\t\t\t\t+\tHAVE__STAT */",
"#if !defined(DK_HAVE__STAT)",
"#define DK_HAVE__STAT 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE__STAT */",
"#if defined(DK_HAVE__STAT)",
"#undef DK_HAVE__STAT",
"#endif",
"",
#endif

#if DK_HAVE__STAT32
"/*\t\t\t\t\t+\tHAVE__STAT32 */",
"#if !defined(DK_HAVE__STAT32)",
"#define DK_HAVE__STAT32 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE__STAT32 */",
"#if defined(DK_HAVE__STAT32)",
"#undef DK_HAVE__STAT32",
"#endif",
"",
#endif

#if DK_HAVE__STAT64
"/*\t\t\t\t\t+\tHAVE__STAT64 */",
"#if !defined(DK_HAVE__STAT64)",
"#define DK_HAVE__STAT64 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE__STAT64 */",
"#if defined(DK_HAVE__STAT64)",
"#undef DK_HAVE__STAT64",
"#endif",
"",
#endif

#if DK_HAVE__LSTAT
"/*\t\t\t\t\t+\tHAVE__LSTAT */",
"#if !defined(DK_HAVE__LSTAT)",
"#define DK_HAVE__LSTAT 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE__LSTAT */",
"#if defined(DK_HAVE__LSTAT)",
"#undef DK_HAVE__LSTAT",
"#endif",
"",
#endif

#if DK_HAVE__LSTAT32
"/*\t\t\t\t\t+\tHAVE__LSTAT32 */",
"#if !defined(DK_HAVE__LSTAT32)",
"#define DK_HAVE__LSTAT32 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE__LSTAT32 */",
"#if defined(DK_HAVE__LSTAT32)",
"#undef DK_HAVE__LSTAT32",
"#endif",
"",
#endif

#if DK_HAVE__LSTAT64
"/*\t\t\t\t\t+\tHAVE__LSTAT64 */",
"#if !defined(DK_HAVE__LSTAT64)",
"#define DK_HAVE__LSTAT64 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE__LSTAT64 */",
"#if defined(DK_HAVE__LSTAT64)",
"#undef DK_HAVE__LSTAT64",
"#endif",
"",
#endif

#if DK_HAVE__MKDIR
"/*\t\t\t\t\t+\tHAVE__MKDIR */",
"#if !defined(DK_HAVE__MKDIR)",
"#define DK_HAVE__MKDIR 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE__MKDIR */",
"#if defined(DK_HAVE__MKDIR)",
"#undef DK_HAVE__MKDIR",
"#endif",
"",
#endif

#if DK_HAVE__REMOVE
"/*\t\t\t\t\t+\tHAVE__REMOVE */",
"#if !defined(DK_HAVE__REMOVE)",
"#define DK_HAVE__REMOVE 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE__REMOVE */",
"#if defined(DK_HAVE__REMOVE)",
"#undef DK_HAVE__REMOVE",
"#endif",
"",
#endif

#if DK_HAVE__FILENO
"/*\t\t\t\t\t+\tHAVE__FILENO */",
"#if !defined(DK_HAVE__FILENO)",
"#define DK_HAVE__FILENO 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE__FILENO */",
"#if defined(DK_HAVE__FILENO)",
"#undef DK_HAVE__FILENO",
"#endif",
"",
#endif

#if DK_HAVE__LOCKING
"/*\t\t\t\t\t+\tHAVE__LOCKING */",
"#if !defined(DK_HAVE__LOCKING)",
"#define DK_HAVE__LOCKING 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE__LOCKING */",
"#if defined(DK_HAVE__LOCKING)",
"#undef DK_HAVE__LOCKING",
"#endif",
"",
#endif

#if DK_WORDS_BIGENDIAN
"/*\t\t\t\t\t+\tWORDS_BIGENDIAN */",
"#if !defined(DK_WORDS_BIGENDIAN)",
"#define DK_WORDS_BIGENDIAN 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tWORDS_BIGENDIAN */",
"#if defined(DK_WORDS_BIGENDIAN)",
"#undef DK_WORDS_BIGENDIAN",
"#endif",
"",
#endif

#if DK_HAVE_SYS_SYSTEMINFO_H
"/*\t\t\t\t\t+\tHAVE_SYS_SYSTEMINFO_H */",
"#if !defined(DK_HAVE_SYS_SYSTEMINFO_H)",
"#define DK_HAVE_SYS_SYSTEMINFO_H 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_SYS_SYSTEMINFO_H */",
"#if defined(DK_HAVE_SYS_SYSTEMINFO_H)",
"#undef DK_HAVE_SYS_SYSTEMINFO_H",
"#endif",
"",
#endif

#if DK_HAVE_MATH_H
"/*\t\t\t\t\t+\tHAVE_MATH_H */",
"#if !defined(DK_HAVE_MATH_H)",
"#define DK_HAVE_MATH_H 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_MATH_H */",
"#if defined(DK_HAVE_MATH_H)",
"#undef DK_HAVE_MATH_H",
"#endif",
"",
#endif

#if DK_HAVE_SYSLOG_H
"/*\t\t\t\t\t+\tHAVE_SYSLOG_H */",
"#if !defined(DK_HAVE_SYSLOG_H)",
"#define DK_HAVE_SYSLOG_H 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_SYSLOG_H */",
"#if defined(DK_HAVE_SYSLOG_H)",
"#undef DK_HAVE_SYSLOG_H",
"#endif",
"",
#endif

#if DK_HAVE_ZLIB_H
"/*\t\t\t\t\t+\tHAVE_ZLIB_H */",
"#if !defined(DK_HAVE_ZLIB_H)",
"#define DK_HAVE_ZLIB_H 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_ZLIB_H */",
"#if defined(DK_HAVE_ZLIB_H)",
"#undef DK_HAVE_ZLIB_H",
"#endif",
"",
#endif

#if DK_HAVE_BZLIB_H
"/*\t\t\t\t\t+\tHAVE_BZLIB_H */",
"#if !defined(DK_HAVE_BZLIB_H)",
"#define DK_HAVE_BZLIB_H 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_BZLIB_H */",
"#if defined(DK_HAVE_BZLIB_H)",
"#undef DK_HAVE_BZLIB_H",
"#endif",
"",
#endif

#if DK_HAVE_LZW
"/*\t\t\t\t\t+\tHAVE_LZW */",
"#if !defined(DK_HAVE_LZW)",
"#define DK_HAVE_LZW 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_LZW */",
"#if defined(DK_HAVE_LZW)",
"#undef DK_HAVE_LZW",
"#endif",
"",
#endif

#if DK_HAVE_SYSINFO
"/*\t\t\t\t\t+\tHAVE_SYSINFO */",
"#if !defined(DK_HAVE_SYSINFO)",
"#define DK_HAVE_SYSINFO 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_SYSINFO */",
"#if defined(DK_HAVE_SYSINFO)",
"#undef DK_HAVE_SYSINFO",
"#endif",
"",
#endif

#if DK_HAVE_CONIO_H
"/*\t\t\t\t\t+\tHAVE_CONIO_H */",
"#if !defined(DK_HAVE_CONIO_H)",
"#define DK_HAVE_CONIO_H 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_CONIO_H */",
"#if defined(DK_HAVE_CONIO_H)",
"#undef DK_HAVE_CONIO_H",
"#endif",
"",
#endif

#if DK_HAVE_NDBM_H
"/*\t\t\t\t\t+\tHAVE_NDBM_H */",
"#if !defined(DK_HAVE_NDBM_H)",
"#define DK_HAVE_NDBM_H 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_NDBM_H */",
"#if defined(DK_HAVE_NDBM_H)",
"#undef DK_HAVE_NDBM_H",
"#endif",
"",
#endif

#if DK_HAVE_DB_H
"/*\t\t\t\t\t+\tHAVE_DB_H */",
"#if !defined(DK_HAVE_DB_H)",
"#define DK_HAVE_DB_H 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_DB_H */",
"#if defined(DK_HAVE_DB_H)",
"#undef DK_HAVE_DB_H",
"#endif",
"",
#endif

#if DK_HAVE__GETCH
"/*\t\t\t\t\t+\tHAVE__GETCH */",
"#if !defined(DK_HAVE__GETCH)",
"#define DK_HAVE__GETCH 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE__GETCH */",
"#if defined(DK_HAVE__GETCH)",
"#undef DK_HAVE__GETCH",
"#endif",
"",
#endif

#if DK_HAVE__KBHIT
"/*\t\t\t\t\t+\tHAVE__KBHIT */",
"#if !defined(DK_HAVE__KBHIT)",
"#define DK_HAVE__KBHIT 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE__KBHIT */",
"#if defined(DK_HAVE__KBHIT)",
"#undef DK_HAVE__KBHIT",
"#endif",
"",
#endif

#if DK_HAVE_SLEEP
"/*\t\t\t\t\t+\tHAVE_SLEEP */",
"#if !defined(DK_HAVE_SLEEP)",
"#define DK_HAVE_SLEEP 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_SLEEP */",
"#if defined(DK_HAVE_SLEEP)",
"#undef DK_HAVE_SLEEP",
"#endif",
"",
#endif

#if DK_HAVE_GETMODULEFILENAME
"/*\t\t\t\t\t+\tHAVE_GETMODULEFILENAME */",
"#if !defined(DK_HAVE_GETMODULEFILENAME)",
"#define DK_HAVE_GETMODULEFILENAME 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_GETMODULEFILENAME */",
"#if defined(DK_HAVE_GETMODULEFILENAME)",
"#undef DK_HAVE_GETMODULEFILENAME",
"#endif",
"",
#endif

#if DK_HAVE_GETMODULEHANDLE
"/*\t\t\t\t\t+\tHAVE_GETMODULEHANDLE */",
"#if !defined(DK_HAVE_GETMODULEHANDLE)",
"#define DK_HAVE_GETMODULEHANDLE 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_GETMODULEHANDLE */",
"#if defined(DK_HAVE_GETMODULEHANDLE)",
"#undef DK_HAVE_GETMODULEHANDLE",
"#endif",
"",
#endif

#if DK_HAVE_GETCOMPUTERNAME
"/*\t\t\t\t\t+\tHAVE_GETCOMPUTERNAME */",
"#if !defined(DK_HAVE_GETCOMPUTERNAME)",
"#define DK_HAVE_GETCOMPUTERNAME 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_GETCOMPUTERNAME */",
"#if defined(DK_HAVE_GETCOMPUTERNAME)",
"#undef DK_HAVE_GETCOMPUTERNAME",
"#endif",
"",
#endif

#if DK_HAVE_GETWINDOWSDIRECTORY
"/*\t\t\t\t\t+\tHAVE_GETWINDOWSDIRECTORY */",
"#if !defined(DK_HAVE_GETWINDOWSDIRECTORY)",
"#define DK_HAVE_GETWINDOWSDIRECTORY 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_GETWINDOWSDIRECTORY */",
"#if defined(DK_HAVE_GETWINDOWSDIRECTORY)",
"#undef DK_HAVE_GETWINDOWSDIRECTORY",
"#endif",
"",
#endif

#if DK_HAVE_GETSYSTEMDIRECTORY
"/*\t\t\t\t\t+\tHAVE_GETSYSTEMDIRECTORY */",
"#if !defined(DK_HAVE_GETSYSTEMDIRECTORY)",
"#define DK_HAVE_GETSYSTEMDIRECTORY 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_GETSYSTEMDIRECTORY */",
"#if defined(DK_HAVE_GETSYSTEMDIRECTORY)",
"#undef DK_HAVE_GETSYSTEMDIRECTORY",
"#endif",
"",
#endif

#if DK_HAVE_GETCURRENTDIRECTORY
"/*\t\t\t\t\t+\tHAVE_GETCURRENTDIRECTORY */",
"#if !defined(DK_HAVE_GETCURRENTDIRECTORY)",
"#define DK_HAVE_GETCURRENTDIRECTORY 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_GETCURRENTDIRECTORY */",
"#if defined(DK_HAVE_GETCURRENTDIRECTORY)",
"#undef DK_HAVE_GETCURRENTDIRECTORY",
"#endif",
"",
#endif

#if DK_HAVE_GETCURRENTPROCESSID
"/*\t\t\t\t\t+\tHAVE_GETCURRENTPROCESSID */",
"#if !defined(DK_HAVE_GETCURRENTPROCESSID)",
"#define DK_HAVE_GETCURRENTPROCESSID 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_GETCURRENTPROCESSID */",
"#if defined(DK_HAVE_GETCURRENTPROCESSID)",
"#undef DK_HAVE_GETCURRENTPROCESSID",
"#endif",
"",
#endif

#if DK_HAVE_GETUSERNAME
"/*\t\t\t\t\t+\tHAVE_GETUSERNAME */",
"#if !defined(DK_HAVE_GETUSERNAME)",
"#define DK_HAVE_GETUSERNAME 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_GETUSERNAME */",
"#if defined(DK_HAVE_GETUSERNAME)",
"#undef DK_HAVE_GETUSERNAME",
"#endif",
"",
#endif

#if DK_HAVE_GETSTDHANDLE
"/*\t\t\t\t\t+\tHAVE_GETSTDHANDLE */",
"#if !defined(DK_HAVE_GETSTDHANDLE)",
"#define DK_HAVE_GETSTDHANDLE 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_GETSTDHANDLE */",
"#if defined(DK_HAVE_GETSTDHANDLE)",
"#undef DK_HAVE_GETSTDHANDLE",
"#endif",
"",
#endif

#if DK_HAVE_WCHAR_H
"/*\t\t\t\t\t+\tHAVE_WCHAR_H */",
"#if !defined(DK_HAVE_WCHAR_H)",
"#define DK_HAVE_WCHAR_H 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_WCHAR_H */",
"#if defined(DK_HAVE_WCHAR_H)",
"#undef DK_HAVE_WCHAR_H",
"#endif",
"",
#endif

#if DK_HAVE_WCHAR_T
"/*\t\t\t\t\t+\tHAVE_WCHAR_T */",
"#if !defined(DK_HAVE_WCHAR_T)",
"#define DK_HAVE_WCHAR_T 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_WCHAR_T */",
"#if defined(DK_HAVE_WCHAR_T)",
"#undef DK_HAVE_WCHAR_T",
"#endif",
"",
#endif

#if DK_HAVE_WCSCHR
"/*\t\t\t\t\t+\tHAVE_WCSCHR */",
"#if !defined(DK_HAVE_WCSCHR)",
"#define DK_HAVE_WCSCHR 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_WCSCHR */",
"#if defined(DK_HAVE_WCSCHR)",
"#undef DK_HAVE_WCSCHR",
"#endif",
"",
#endif

#if DK_HAVE_WCSRCHR
"/*\t\t\t\t\t+\tHAVE_WCSRCHR */",
"#if !defined(DK_HAVE_WCSRCHR)",
"#define DK_HAVE_WCSRCHR 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_WCSRCHR */",
"#if defined(DK_HAVE_WCSRCHR)",
"#undef DK_HAVE_WCSRCHR",
"#endif",
"",
#endif

#if DK_HAVE_WCSCASECMP
"/*\t\t\t\t\t+\tHAVE_WCSCASECMP */",
"#if !defined(DK_HAVE_WCSCASECMP)",
"#define DK_HAVE_WCSCASECMP 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_WCSCASECMP */",
"#if defined(DK_HAVE_WCSCASECMP)",
"#undef DK_HAVE_WCSCASECMP",
"#endif",
"",
#endif

#if DK_HAVE_WCSICMP
"/*\t\t\t\t\t+\tHAVE_WCSICMP */",
"#if !defined(DK_HAVE_WCSICMP)",
"#define DK_HAVE_WCSICMP 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_WCSICMP */",
"#if defined(DK_HAVE_WCSICMP)",
"#undef DK_HAVE_WCSICMP",
"#endif",
"",
#endif

#if DK_HAVE_WCSLEN
"/*\t\t\t\t\t+\tHAVE_WCSLEN */",
"#if !defined(DK_HAVE_WCSLEN)",
"#define DK_HAVE_WCSLEN 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_WCSLEN */",
"#if defined(DK_HAVE_WCSLEN)",
"#undef DK_HAVE_WCSLEN",
"#endif",
"",
#endif

#if DK_HAVE_WCSCMP
"/*\t\t\t\t\t+\tHAVE_WCSCMP */",
"#if !defined(DK_HAVE_WCSCMP)",
"#define DK_HAVE_WCSCMP 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_WCSCMP */",
"#if defined(DK_HAVE_WCSCMP)",
"#undef DK_HAVE_WCSCMP",
"#endif",
"",
#endif

#if DK_HAVE_WCSCPY
"/*\t\t\t\t\t+\tHAVE_WCSCPY */",
"#if !defined(DK_HAVE_WCSCPY)",
"#define DK_HAVE_WCSCPY 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_WCSCPY */",
"#if defined(DK_HAVE_WCSCPY)",
"#undef DK_HAVE_WCSCPY",
"#endif",
"",
#endif

#if DK_HAVE_WCSCAT
"/*\t\t\t\t\t+\tHAVE_WCSCAT */",
"#if !defined(DK_HAVE_WCSCAT)",
"#define DK_HAVE_WCSCAT 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_WCSCAT */",
"#if defined(DK_HAVE_WCSCAT)",
"#undef DK_HAVE_WCSCAT",
"#endif",
"",
#endif

#if DK_HAVE_SETMODE
"/*\t\t\t\t\t+\tHAVE_SETMODE */",
"#if !defined(DK_HAVE_SETMODE)",
"#define DK_HAVE_SETMODE 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_SETMODE */",
"#if defined(DK_HAVE_SETMODE)",
"#undef DK_HAVE_SETMODE",
"#endif",
"",
#endif

#if DK_HAVE_DOSWIN_SETMODE
"/*\t\t\t\t\t+\tHAVE_DOSWIN_SETMODE */",
"#if !defined(DK_HAVE_DOSWIN_SETMODE)",
"#define DK_HAVE_DOSWIN_SETMODE 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_DOSWIN_SETMODE */",
"#if defined(DK_HAVE_DOSWIN_SETMODE)",
"#undef DK_HAVE_DOSWIN_SETMODE",
"#endif",
"",
#endif

#if DK_HAVE_FDOPEN
"/*\t\t\t\t\t+\tHAVE_FDOPEN */",
"#if !defined(DK_HAVE_FDOPEN)",
"#define DK_HAVE_FDOPEN 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_FDOPEN */",
"#if defined(DK_HAVE_FDOPEN)",
"#undef DK_HAVE_FDOPEN",
"#endif",
"",
#endif

#if DK_HAVE__SETMODE
"/*\t\t\t\t\t+\tHAVE__SETMODE */",
"#if !defined(DK_HAVE__SETMODE)",
"#define DK_HAVE__SETMODE 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE__SETMODE */",
"#if defined(DK_HAVE__SETMODE)",
"#undef DK_HAVE__SETMODE",
"#endif",
"",
#endif

#if DK_HAVE__FDOPEN
"/*\t\t\t\t\t+\tHAVE__FDOPEN */",
"#if !defined(DK_HAVE__FDOPEN)",
"#define DK_HAVE__FDOPEN 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE__FDOPEN */",
"#if defined(DK_HAVE__FDOPEN)",
"#undef DK_HAVE__FDOPEN",
"#endif",
"",
#endif

#if DK_HAVE_FNCASEINS
"/*\t\t\t\t\t+\tHAVE_FNCASEINS */",
"#if !defined(DK_HAVE_FNCASEINS)",
"#define DK_HAVE_FNCASEINS 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_FNCASEINS */",
"#if defined(DK_HAVE_FNCASEINS)",
"#undef DK_HAVE_FNCASEINS",
"#endif",
"",
#endif

#if DK_HAVE_SOCKLEN_T
"/*\t\t\t\t\t+\tHAVE_SOCKLEN_T */",
"#if !defined(DK_HAVE_SOCKLEN_T)",
"#define DK_HAVE_SOCKLEN_T 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_SOCKLEN_T */",
"#if defined(DK_HAVE_SOCKLEN_T)",
"#undef DK_HAVE_SOCKLEN_T",
"#endif",
"",
#endif

#if DK_HAVE_SIZE_T
"/*\t\t\t\t\t+\tHAVE_SIZE_T */",
"#if !defined(DK_HAVE_SIZE_T)",
"#define DK_HAVE_SIZE_T 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_SIZE_T */",
"#if defined(DK_HAVE_SIZE_T)",
"#undef DK_HAVE_SIZE_T",
"#endif",
"",
#endif

#if DK_HAVE_SSIZE_T
"/*\t\t\t\t\t+\tHAVE_SSIZE_T */",
"#if !defined(DK_HAVE_SSIZE_T)",
"#define DK_HAVE_SSIZE_T 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_SSIZE_T */",
"#if defined(DK_HAVE_SSIZE_T)",
"#undef DK_HAVE_SSIZE_T",
"#endif",
"",
#endif

#if DK_HAVE_MODE_T
"/*\t\t\t\t\t+\tHAVE_MODE_T */",
"#if !defined(DK_HAVE_MODE_T)",
"#define DK_HAVE_MODE_T 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_MODE_T */",
"#if defined(DK_HAVE_MODE_T)",
"#undef DK_HAVE_MODE_T",
"#endif",
"",
#endif

#if DK_HAVE_STDARG_H
"/*\t\t\t\t\t+\tHAVE_STDARG_H */",
"#if !defined(DK_HAVE_STDARG_H)",
"#define DK_HAVE_STDARG_H 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_STDARG_H */",
"#if defined(DK_HAVE_STDARG_H)",
"#undef DK_HAVE_STDARG_H",
"#endif",
"",
#endif

#if DK_HAVE_VARARG_H
"/*\t\t\t\t\t+\tHAVE_VARARG_H */",
"#if !defined(DK_HAVE_VARARG_H)",
"#define DK_HAVE_VARARG_H 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_VARARG_H */",
"#if defined(DK_HAVE_VARARG_H)",
"#undef DK_HAVE_VARARG_H",
"#endif",
"",
#endif

#if DK_HAVE_VARARGS_H
"/*\t\t\t\t\t+\tHAVE_VARARGS_H */",
"#if !defined(DK_HAVE_VARARGS_H)",
"#define DK_HAVE_VARARGS_H 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_VARARGS_H */",
"#if defined(DK_HAVE_VARARGS_H)",
"#undef DK_HAVE_VARARGS_H",
"#endif",
"",
#endif

#if DK_HAVE_TERMIOS_H
"/*\t\t\t\t\t+\tHAVE_TERMIOS_H */",
"#if !defined(DK_HAVE_TERMIOS_H)",
"#define DK_HAVE_TERMIOS_H 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_TERMIOS_H */",
"#if defined(DK_HAVE_TERMIOS_H)",
"#undef DK_HAVE_TERMIOS_H",
"#endif",
"",
#endif

#if DK_HAVE_SYS_TERMIOS_H
"/*\t\t\t\t\t+\tHAVE_SYS_TERMIOS_H */",
"#if !defined(DK_HAVE_SYS_TERMIOS_H)",
"#define DK_HAVE_SYS_TERMIOS_H 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_SYS_TERMIOS_H */",
"#if defined(DK_HAVE_SYS_TERMIOS_H)",
"#undef DK_HAVE_SYS_TERMIOS_H",
"#endif",
"",
#endif

#if DK_HAVE_SYS_TTOLD_H
"/*\t\t\t\t\t+\tHAVE_SYS_TTOLD_H */",
"#if !defined(DK_HAVE_SYS_TTOLD_H)",
"#define DK_HAVE_SYS_TTOLD_H 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_SYS_TTOLD_H */",
"#if defined(DK_HAVE_SYS_TTOLD_H)",
"#undef DK_HAVE_SYS_TTOLD_H",
"#endif",
"",
#endif

#if DK_HAVE_CRYPT_H
"/*\t\t\t\t\t+\tHAVE_CRYPT_H */",
"#if !defined(DK_HAVE_CRYPT_H)",
"#define DK_HAVE_CRYPT_H 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_CRYPT_H */",
"#if defined(DK_HAVE_CRYPT_H)",
"#undef DK_HAVE_CRYPT_H",
"#endif",
"",
#endif

#if DK_HAVE_SETJMP_H
"/*\t\t\t\t\t+\tHAVE_SETJMP_H */",
"#if !defined(DK_HAVE_SETJMP_H)",
"#define DK_HAVE_SETJMP_H 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_SETJMP_H */",
"#if defined(DK_HAVE_SETJMP_H)",
"#undef DK_HAVE_SETJMP_H",
"#endif",
"",
#endif

#if DK_HAVE_ISATTY
"/*\t\t\t\t\t+\tHAVE_ISATTY */",
"#if !defined(DK_HAVE_ISATTY)",
"#define DK_HAVE_ISATTY 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_ISATTY */",
"#if defined(DK_HAVE_ISATTY)",
"#undef DK_HAVE_ISATTY",
"#endif",
"",
#endif

#if DK_HAVE_TCGETATTR
"/*\t\t\t\t\t+\tHAVE_TCGETATTR */",
"#if !defined(DK_HAVE_TCGETATTR)",
"#define DK_HAVE_TCGETATTR 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_TCGETATTR */",
"#if defined(DK_HAVE_TCGETATTR)",
"#undef DK_HAVE_TCGETATTR",
"#endif",
"",
#endif

#if DK_HAVE_TCFLUSH
"/*\t\t\t\t\t+\tHAVE_TCFLUSH */",
"#if !defined(DK_HAVE_TCFLUSH)",
"#define DK_HAVE_TCFLUSH 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_TCFLUSH */",
"#if defined(DK_HAVE_TCFLUSH)",
"#undef DK_HAVE_TCFLUSH",
"#endif",
"",
#endif

#if DK_HAVE_SNPRINTF
"/*\t\t\t\t\t+\tHAVE_SNPRINTF */",
"#if !defined(DK_HAVE_SNPRINTF)",
"#define DK_HAVE_SNPRINTF 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_SNPRINTF */",
"#if defined(DK_HAVE_SNPRINTF)",
"#undef DK_HAVE_SNPRINTF",
"#endif",
"",
#endif

#if DK_HAVE_VSNPRINTF
"/*\t\t\t\t\t+\tHAVE_VSNPRINTF */",
"#if !defined(DK_HAVE_VSNPRINTF)",
"#define DK_HAVE_VSNPRINTF 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_VSNPRINTF */",
"#if defined(DK_HAVE_VSNPRINTF)",
"#undef DK_HAVE_VSNPRINTF",
"#endif",
"",
#endif

#if DK_HAVE_GETPEERNAME
"/*\t\t\t\t\t+\tHAVE_GETPEERNAME */",
"#if !defined(DK_HAVE_GETPEERNAME)",
"#define DK_HAVE_GETPEERNAME 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_GETPEERNAME */",
"#if defined(DK_HAVE_GETPEERNAME)",
"#undef DK_HAVE_GETPEERNAME",
"#endif",
"",
#endif

#if DK_HAVE_GETSOCKNAME
"/*\t\t\t\t\t+\tHAVE_GETSOCKNAME */",
"#if !defined(DK_HAVE_GETSOCKNAME)",
"#define DK_HAVE_GETSOCKNAME 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_GETSOCKNAME */",
"#if defined(DK_HAVE_GETSOCKNAME)",
"#undef DK_HAVE_GETSOCKNAME",
"#endif",
"",
#endif

#if DK_HAVE_PNG_H
"/*\t\t\t\t\t+\tHAVE_PNG_H */",
"#if !defined(DK_HAVE_PNG_H)",
"#define DK_HAVE_PNG_H 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_PNG_H */",
"#if defined(DK_HAVE_PNG_H)",
"#undef DK_HAVE_PNG_H",
"#endif",
"",
#endif

#if DK_HAVE_JPEGLIB_H
"/*\t\t\t\t\t+\tHAVE_JPEGLIB_H */",
"#if !defined(DK_HAVE_JPEGLIB_H)",
"#define DK_HAVE_JPEGLIB_H 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_JPEGLIB_H */",
"#if defined(DK_HAVE_JPEGLIB_H)",
"#undef DK_HAVE_JPEGLIB_H",
"#endif",
"",
#endif

#if DK_HAVE_TIFF_H
"/*\t\t\t\t\t+\tHAVE_TIFF_H */",
"#if !defined(DK_HAVE_TIFF_H)",
"#define DK_HAVE_TIFF_H 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_TIFF_H */",
"#if defined(DK_HAVE_TIFF_H)",
"#undef DK_HAVE_TIFF_H",
"#endif",
"",
#endif

#if DK_HAVE_CHMOD
"/*\t\t\t\t\t+\tHAVE_CHMOD */",
"#if !defined(DK_HAVE_CHMOD)",
"#define DK_HAVE_CHMOD 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_CHMOD */",
"#if defined(DK_HAVE_CHMOD)",
"#undef DK_HAVE_CHMOD",
"#endif",
"",
#endif

#if DK_HAVE_FCHMOD
"/*\t\t\t\t\t+\tHAVE_FCHMOD */",
"#if !defined(DK_HAVE_FCHMOD)",
"#define DK_HAVE_FCHMOD 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_FCHMOD */",
"#if defined(DK_HAVE_FCHMOD)",
"#undef DK_HAVE_FCHMOD",
"#endif",
"",
#endif

#if DK_HAVE_OPENSSL_RAND_H
"/*\t\t\t\t\t+\tHAVE_OPENSSL_RAND_H */",
"#if !defined(DK_HAVE_OPENSSL_RAND_H)",
"#define DK_HAVE_OPENSSL_RAND_H 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_OPENSSL_RAND_H */",
"#if defined(DK_HAVE_OPENSSL_RAND_H)",
"#undef DK_HAVE_OPENSSL_RAND_H",
"#endif",
"",
#endif

#if DK_HAVE_OPENSSL_SHA_H
"/*\t\t\t\t\t+\tHAVE_OPENSSL_SHA_H */",
"#if !defined(DK_HAVE_OPENSSL_SHA_H)",
"#define DK_HAVE_OPENSSL_SHA_H 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_OPENSSL_SHA_H */",
"#if defined(DK_HAVE_OPENSSL_SHA_H)",
"#undef DK_HAVE_OPENSSL_SHA_H",
"#endif",
"",
#endif

#if DK_HAVE_OPENSSL_MD5_H
"/*\t\t\t\t\t+\tHAVE_OPENSSL_MD5_H */",
"#if !defined(DK_HAVE_OPENSSL_MD5_H)",
"#define DK_HAVE_OPENSSL_MD5_H 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_OPENSSL_MD5_H */",
"#if defined(DK_HAVE_OPENSSL_MD5_H)",
"#undef DK_HAVE_OPENSSL_MD5_H",
"#endif",
"",
#endif

#if DK_HAVE_OPENSSL_RIPEMD_H
"/*\t\t\t\t\t+\tHAVE_OPENSSL_RIPEMD_H */",
"#if !defined(DK_HAVE_OPENSSL_RIPEMD_H)",
"#define DK_HAVE_OPENSSL_RIPEMD_H 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_OPENSSL_RIPEMD_H */",
"#if defined(DK_HAVE_OPENSSL_RIPEMD_H)",
"#undef DK_HAVE_OPENSSL_RIPEMD_H",
"#endif",
"",
#endif

#if DK_HAVE_SHA224
"/*\t\t\t\t\t+\tHAVE_SHA224 */",
"#if !defined(DK_HAVE_SHA224)",
"#define DK_HAVE_SHA224 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_SHA224 */",
"#if defined(DK_HAVE_SHA224)",
"#undef DK_HAVE_SHA224",
"#endif",
"",
#endif

#if DK_HAVE_SHA256
"/*\t\t\t\t\t+\tHAVE_SHA256 */",
"#if !defined(DK_HAVE_SHA256)",
"#define DK_HAVE_SHA256 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_SHA256 */",
"#if defined(DK_HAVE_SHA256)",
"#undef DK_HAVE_SHA256",
"#endif",
"",
#endif

#if DK_HAVE_SHA384
"/*\t\t\t\t\t+\tHAVE_SHA384 */",
"#if !defined(DK_HAVE_SHA384)",
"#define DK_HAVE_SHA384 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_SHA384 */",
"#if defined(DK_HAVE_SHA384)",
"#undef DK_HAVE_SHA384",
"#endif",
"",
#endif

#if DK_HAVE_SHA512
"/*\t\t\t\t\t+\tHAVE_SHA512 */",
"#if !defined(DK_HAVE_SHA512)",
"#define DK_HAVE_SHA512 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_SHA512 */",
"#if defined(DK_HAVE_SHA512)",
"#undef DK_HAVE_SHA512",
"#endif",
"",
#endif

#if DK_HAVE_RAND
"/*\t\t\t\t\t+\tHAVE_RAND */",
"#if !defined(DK_HAVE_RAND)",
"#define DK_HAVE_RAND 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_RAND */",
"#if defined(DK_HAVE_RAND)",
"#undef DK_HAVE_RAND",
"#endif",
"",
#endif

#if DK_HAVE_SRAND
"/*\t\t\t\t\t+\tHAVE_SRAND */",
"#if !defined(DK_HAVE_SRAND)",
"#define DK_HAVE_SRAND 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_SRAND */",
"#if defined(DK_HAVE_SRAND)",
"#undef DK_HAVE_SRAND",
"#endif",
"",
#endif

#if DK_HAVE_INITSTATE
"/*\t\t\t\t\t+\tHAVE_INITSTATE */",
"#if !defined(DK_HAVE_INITSTATE)",
"#define DK_HAVE_INITSTATE 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_INITSTATE */",
"#if defined(DK_HAVE_INITSTATE)",
"#undef DK_HAVE_INITSTATE",
"#endif",
"",
#endif

#if DK_HAVE_SETSTATE
"/*\t\t\t\t\t+\tHAVE_SETSTATE */",
"#if !defined(DK_HAVE_SETSTATE)",
"#define DK_HAVE_SETSTATE 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_SETSTATE */",
"#if defined(DK_HAVE_SETSTATE)",
"#undef DK_HAVE_SETSTATE",
"#endif",
"",
#endif

#if DK_HAVE_RANDOM
"/*\t\t\t\t\t+\tHAVE_RANDOM */",
"#if !defined(DK_HAVE_RANDOM)",
"#define DK_HAVE_RANDOM 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_RANDOM */",
"#if defined(DK_HAVE_RANDOM)",
"#undef DK_HAVE_RANDOM",
"#endif",
"",
#endif

#if DK_HAVE_LRAND48
"/*\t\t\t\t\t+\tHAVE_LRAND48 */",
"#if !defined(DK_HAVE_LRAND48)",
"#define DK_HAVE_LRAND48 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_LRAND48 */",
"#if defined(DK_HAVE_LRAND48)",
"#undef DK_HAVE_LRAND48",
"#endif",
"",
#endif

#if DK_HAVE_SEED48
"/*\t\t\t\t\t+\tHAVE_SEED48 */",
"#if !defined(DK_HAVE_SEED48)",
"#define DK_HAVE_SEED48 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_SEED48 */",
"#if defined(DK_HAVE_SEED48)",
"#undef DK_HAVE_SEED48",
"#endif",
"",
#endif

#if DK_HAVE_NRAND48
"/*\t\t\t\t\t+\tHAVE_NRAND48 */",
"#if !defined(DK_HAVE_NRAND48)",
"#define DK_HAVE_NRAND48 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_NRAND48 */",
"#if defined(DK_HAVE_NRAND48)",
"#undef DK_HAVE_NRAND48",
"#endif",
"",
#endif

#if DK_HAVE_DEV_URANDOM
"/*\t\t\t\t\t+\tHAVE_DEV_URANDOM */",
"#if !defined(DK_HAVE_DEV_URANDOM)",
"#define DK_HAVE_DEV_URANDOM 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_DEV_URANDOM */",
"#if defined(DK_HAVE_DEV_URANDOM)",
"#undef DK_HAVE_DEV_URANDOM",
"#endif",
"",
#endif

#if DK_HAVE_DEV_RANDOM
"/*\t\t\t\t\t+\tHAVE_DEV_RANDOM */",
"#if !defined(DK_HAVE_DEV_RANDOM)",
"#define DK_HAVE_DEV_RANDOM 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_DEV_RANDOM */",
"#if defined(DK_HAVE_DEV_RANDOM)",
"#undef DK_HAVE_DEV_RANDOM",
"#endif",
"",
#endif

#if DK_HAVE_SHADOW_H
"/*\t\t\t\t\t+\tHAVE_SHADOW_H */",
"#if !defined(DK_HAVE_SHADOW_H)",
"#define DK_HAVE_SHADOW_H 1",
"#endif",
"",
#else
"/*\t\t\t\t\t-\tHAVE_SHADOW_H */",
"#if defined(DK_HAVE_SHADOW_H)",
"#undef DK_HAVE_SHADOW_H",
"#endif",
"",
#endif

"#if DK_HAVE_VOLATILE",
"#define DK_VOLATILE volatile",
"#else",
"#define DK_VOLATILE /* nix */",
"#endif",

"#if DK_HAVE_CONST",
"#define DK_CONST const",
"#else",
"#ifdef __cplusplus",
"#define DK_CONST const",
"#else",
"#define DK_CONST /* nix */",
"#endif",
"#endif",
"#endif",
"",

NULL
} ;


int main(int argc, char *argv[])
{
  char **ptr;
  ptr = config_options;
  while(*ptr) {
    printf("%s\n", *(ptr++));
  }
  exit(0); return 0;
}
