Name:		dktools
Version:	2.2.26
Release:	1%{?dist}
Summary:	Dirk Krause's tools and libraries
Vendor:		Dirk Krause
Packager:	Dirk Krause

Group:		Applications/Tools
License:	BSD
URL:		http://dktools.sourceforge.net/index.html
Source0:	file:///home/krause/SW-DEV/projects/dktools-2.2.26.zip
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	zlib-devel bzip2-devel libpng-devel openssl-devel libjpeg-devel libtiff-devel net-snmp-devel gcc
Requires:	zlib bzip2 libpng openssl libjpeg libtiff net-snmp
Prefix:		/usr

%description
A set of tools for graphics conversion, text conversion, software
development, administration and printing and some general-purpose tools.

%post
if [ "X$1" = "X1" ]
then
PREFIX="/usr"
[ "X$RPM_INSTALL_PREFIX" != "X" ] && PREFIX="$RPM_INSTALL_PREFIX"
cat > /etc/appdefaults <<EOF
[*]
# -- The decision about language, region and encoding
# -- is left up to the LANG environment variable now.
# /ui/lang		=	en
# /ui/lang		=	de
# /ui/lang/env		=	off

/dir/tmp		=	\$(user.home)/tmp
/log/file/name		=	\$(temp.dir)/\$(app.name).\$(process.pid).log
/log/file/level		=	progress
/log/file/keep		=	error
/log/file/time		=	on
/log/file/split		=	on
/log/stdout/level	=	none
/log/stdout/time	=	off
/log/stderr/level	=	warning
/log/stderr/time	=	off
/log/stderr/split	=	off
/dir/app=${PREFIX}/share/\$(app.name)
/dir/shared=${PREFIX}/share
EOF
cat <<EOF
The following Perl modules are required to run this software:
  PDL
Please make sure you to have the module(s) installed before you run the
programs installed by this package.
Either check whether you package installation system has a package named
perl-PDL or use CPAN to install the package:
Run
  perl -MCPAN -e shell
and type
  install PDL
  quit
as input. When asked whether to install required modules, answer ``yes''.
EOF
fi
ldconfig

%postun
ldconfig

%prep


%setup
# %setup -q


%build
%configure --with-lzw --with-rpm
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README
%config /etc/appdefaults.sample
%config /etc/appdefaults.createp
%config /etc/prqd/prqd.conf.sample
%config /etc/prqd/prqd.conf
%config /etc/fsnmp/fsnmp.conf
%config /etc/fsnmp/fsnmp.conf.sample
%config /etc/appdefaults.createp.sample
%config /etc/dktools/fontmap.cfg
%config /etc/dktools/winfont.cfg
%config /etc/dktools/fig2vect.cfg.sample
%config /etc/dktools/webfont.cfg
%config /etc/dktools/fig2vect.cfg
%config /etc/dktools/combfont.cfg
%config /etc/appdefaults
%config /etc/init.d/prqd
%config /etc/init.d/useraud
%config /etc/init.d/rshdown
/usr

%changelog
* Tue Oct 30 2012 Dirk Krause <devnull@fh-schmalkalden.de> 2.2.26
- Bugfix in fig2vect: One-point polylines are single points, shape
  is either circle or square, depending on the polylines line cap style.

* Wed Nov 02 2011 Dirk Krause <devnull@fh-schmalkalden.de> 2.2.22
- Bugfix in the configure script: Unnecessary call to wx-config removed.

* Tue Nov 01 2011 Dirk Krause <devnull@fh-schmalkalden.de> 2.2.21
- The hostsadm.pl script now adds a netgroup triple containing
  the IP address to the netgroup.ldif file.
- The "ctrl database-cleanup" operation for prqd now removes
  print accounts and page counts with value 0.

* Sun Jun 06 2011 Dirk Krause <devnull@fh-schmalkalden.de> 2.2.20
- Program imgsize renamed to chimgsize to avoid name conflicts
  with perl-Image-Size RPM.

* Sun Apr 19 2011 Dirk Krause <devnull@fh-schmalkalden.de> 2.2.19
- Bugfix in text2htm, wrong format specification.

* Sun Nov 14 2010 Dirk Krause <devnull@fh-schmalkalden.de> 2.2.18
- The function dkstr_w_cat() (a fallback implementation for systems without
  the wcscat() function) was added.
- New programs kwintool and kwindown for Windows.

* Tue Oct 26 2010 Dirk Krause <devnull@fh-schmalkalden.de> 2.2.17
- New option ``create accounts automatically'' for prqd. By default
  we avoid to create personal print accounts automatically to keep
  the database small.
- Improvements in the GUI of the PrintLimit application.

* Sun Oct 24 2010 Dirk Krause <devnull@fh-schmalkalden.de> 2.2.16
- New Java application PrintLimit for users of LPRng/prqd to show
  users print quota information.
- The dklibsj.html page was improved. A tutorial and a short reference
  were added.

* Wed Oct 20 2010 Dirk Krause <devnull@fh-schmalkalden.de> 2.2.15
- The LANG environment variable is now tested for both ".UTF-8"
  and ".utf8" to indicate the use of UTF-8 encoding.

* Wed Sep 15 2010 Dirk Krause <devnull@fh-schmalkalden.de> 2.2.14
- Documentation update: Notes about differences in the appearance of
  interpolated splines in Xfig/transfig and fig2vect. Recommendations how
  to modify the sources of Xfig and transfig.

* Tue Sep 14 2010 Dirk Krause <devnull@fh-schmalkalden.de> 2.2.13
- Corrected typographic errors in the DKrause::Diagram documentation.

* Tue Sep 13 2010 Dirk Krause <devnull@fh-schmalkalden.de> 2.2.12
- The *.jar files were missing in the Windows executable setup of
  2.2.11. Here they are back.

