;// Copyright (c) 2010 - Dipl.-Ing. Dirk Krause
;// 
;// All rights reserved.
;// 
;// Redistribution and use in source and binary forms,
;// with or without modification, are permitted provided
;// that the following conditions are met:
;// 
;// * Redistributions of source code must retain the above
;//   copyright notice, this list of conditions and the
;//   following disclaimer.
;// * Redistributions in binary form must reproduce the above 
;//   opyright notice, this list of conditions and the following
;//   disclaimer in the documentation and/or other materials
;//   provided with the distribution.
;// * Neither the name of Dirk Krause nor the names of
;//   contributors may be used to endorse or promote
;//   products derived from this software without specific
;//   prior written permission.
;// 
;// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND
;// CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
;// INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
;// MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
;// DISCLAIMED.
;// IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
;// LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
;// EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
;// LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
;// LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
;// HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
;// CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
;// OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
;// SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH
;// DAMAGE.

MessageIdTypedef=DWORD

SeverityNames=(Success=0x0:STATUS_SEVERITY_SUCCESS
Informational=0x1:STATUS_SEVERITY_INFORMATIONAL
Error=0x3:STATUS_SEVERITY_ERROR
)

FacilityNames=(System=0x0:FACILITY_SYSTEM
)

LanguageNames=(English=0x409:MSG00409)



;// Category for kWinDown
MessageId=0x1
SymbolicName=CAT_KWINDOWN
Language=English
kWinDown
.



;// The system was started
MessageId=0x101
Severity=Success
Facility=System
SymbolicName=MSG_KWINDOWN_UP
Language=English
The kWinDown service was started successfully.
.

;// Failed to register the service
MessageId=0x102
Severity=Error
Facility=System
SymbolicName=MSG_ERROR_FAILED_TO_REGISTER_SERVICE
Language=English
Failed to register the kWinDown service!
.

;// System was shut down
MessageId=0x103
Severity=Success
Facility=System
SymbolicName=MSG_SUCCESS_SHUTDOWN_INITIATED
Language=English
A system shutdown was initiated.
.

;// Failed to shutdown system
MessageId=0x104
Severity=Error
Facility=System
SymbolicName=MSG_ERROR_FAILED_TO_SHUTDOWN
Language=English
Failed to initiate system shutdown!
.

;// Failed to obtain handle for current process
MessageId=0x105
Severity=Error
Facility=System
SymbolicName=MSG_ERROR_FAILED_PROCESS_HANDLE
Language=English
Failed to obtain process handle!
.

;// Failed to access process token
MessageId=0x106
Severity=Error
Facility=System
SymbolicName=MSG_ERROR_FAILED_TO_ACCESS_TOKEN
Language=English
Failed to access process token!
.

;// Failed to obtain shutdown privilege
MessageId=0x107
Severity=Error
Facility=System
SymbolicName=MSG_ERROR_FAILED_TO_OBTAIN_SHUTDOWN_PRIVILEGE
Language=English
Failed to obtain shutdown privilege!
.

;// Failed to open parent registry key
MessageId=0x108
Severity=Error
Facility=System
SymbolicName=MSG_ERROR_FAILED_TO_OPEN_PARENT_REGKEY
Language=English
Failed to open registry key "%1"!
.

;// Failed to open my registry key
MessageId=0x109
Severity=Error
Facility=System
SymbolicName=MSG_ERROR_FAILED_TO_OPEN_MY_REGKEY
Language=English
Failed to open registry key "%1"!
.

;// Timeout while waiting for background thread to end
MessageId=0x10A
Severity=Error
Facility=System
SymbolicName=MSG_ERROR_TIMEOUT_WHILE_WAITING_FOR_BGTHREAD
Language=English
Timeout while waiting for background thread to finish!
.

;// Failed to create event
MessageId=0x10B
Severity=Error
Facility=System
SymbolicName=MSG_ERROR_FAILED_TO_CREATE_EVENT
Language=English
Failed to obtain resources for event handling!
.

;// Failed to start background thread
MessageId=0x10C
Severity=Error
Facility=System
SymbolicName=MSG_ERROR_FAILED_TO_START_THREAD
Language=English
Failed to start background thread!
.

;// Shutting down service
MessageId=0x10D
Severity=Informational
Facility=System
SymbolicName=MSG_INFO_MUST_SHUTDOWN
Language=English
Must initiate shutdown.
.


;// Shutting down service
MessageId=0x10E
Severity=Informational
Facility=System
SymbolicName=MSG_INFO_SERVICE_DOWN
Language=English
Service going down.
.


;// Parent key is missing
MessageId=0x10F
Severity=Error
Facility=System
SymbolicName=MSG_ERROR_REGKEY_MISSING
Language=English
Failed to open/create registry "HKLM\\%1"!
.


;// Wrong type or size
MessageId=0x110
Severity=Error
Facility=System
SymbolicName=MSG_ERROR_REGENTRY_WRONG_TYPE
Language=English
Registry entry has wrong type or size!
.


;// Wrong type or size
MessageId=0x111
Severity=Informational
Facility=System
SymbolicName=MSG_INFO_NO_SHUTDOWN
Language=English
No shutdown necessary.
.

;// Shutdown time changed
MessageId=0x112
Severity=Informational
Facility=System
SymbolicName=MSG_INFO_SHUTDOWN_TIME_CHANGED
Language=English
Shutdown time changed: %1
.
